-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors10_ED.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Events and Decisions - CBP Edition (ED)
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_ResourcePerEra
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Resources.FT AS FT, Building_ResourcePerEra.BuildingType AS BT, sum(Building_ResourcePerEra.Quantity *AnC_Flavor2Resources.Flavor) AS Flavor,
'Building_ResourcePerEra' AS FromTable, 'ED' AS Mod
FROM AnC_Flavor2Resources, Building_ResourcePerEra
WHERE /* we can also have negative Yields */ Building_ResourcePerEra.Quantity <> 0 
AND AnC_Flavor2Resources.RT = Building_ResourcePerEra.ResourceType 
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_YieldFromCityStates
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_YieldFromCityStates.BuildingType AS BT, sum(Building_YieldFromCityStates.Yield *AnC_Flavor2Yields.Flavor) AS Flavor,
'Building_YieldFromCityStates' AS FromTable, 'ED' AS Mod
FROM AnC_Flavor2Yields, Building_YieldFromCityStates
WHERE /* we can also have negative Yields */ Building_YieldFromCityStates.Yield <> 0 
AND AnC_Flavor2Yields.YT = Building_YieldFromCityStates.YieldType
GROUP BY FT, BT
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors10_ED.sql';