-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors2_GnK.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- GnK
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_BuildingClassHappiness
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_BuildingClassHappiness.BuildingType AS BT, Building_BuildingClassHappiness.Happiness 
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = Building_BuildingClassHappiness.BuildingClassType) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Building_BuildingClassHappiness.Happiness' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Building_BuildingClassHappiness
WHERE /* we can also have negative Yields */ Building_BuildingClassHappiness.Happiness <> 0 AND AnC_Flavor2Yields.YT = 'BuildingClassHappiness'
GROUP BY Building_BuildingClassHappiness.BuildingType, Building_BuildingClassHappiness.BuildingClassType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_BuildingClassYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_BuildingClassYieldChanges.BuildingType AS BT, sum(Building_BuildingClassYieldChanges.YieldChange) 
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = Building_BuildingClassYieldChanges.BuildingClassType) 
*AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'BuildingClassXChanges') AS Flavor,
'Building_BuildingClassYieldChanges' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Building_BuildingClassYieldChanges
WHERE /* we can also have negative Yields */ Building_BuildingClassYieldChanges.YieldChange <> 0 
AND AnC_Flavor2Yields.YT = Building_BuildingClassYieldChanges.YieldType
GROUP BY AnC_Flavor2Yields.FT, Building_BuildingClassYieldChanges.BuildingType,  Building_BuildingClassYieldChanges.YieldType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceFaithChanges - empty - GnK
------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.AffectSpiesNow
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.AffectSpiesNow *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.AffectSpiesNow' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.AffectSpiesNow = 1 AND AnC_Flavor2Yields.YT = 'AffectSpiesNow'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.ExtraSpies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.ExtraSpies *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.ExtraSpies' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.ExtraSpies > 0 AND AnC_Flavor2Yields.YT = 'ExtraSpies'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.SpyRankChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.SpyRankChange *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.SpyRankChange' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.SpyRankChange > 0 AND AnC_Flavor2Yields.YT = 'SpyRankChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.InstantSpyRankChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.InstantSpyRankChange *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.InstantSpyRankChange' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.InstantSpyRankChange > 0 AND AnC_Flavor2Yields.YT = 'InstantSpyRankChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.ExtraMissionarySpreads
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.ExtraMissionarySpreads *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ExtraMissionarySpreads') AS Flavor, 'Buildings.ExtraMissionarySpreads' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* we can also have negative Yields */ Buildings.ExtraMissionarySpreads <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.ReligiousPressureModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.ReligiousPressureModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ReligiousPressureModifier') AS Flavor, 'Buildings.ReligiousPressureModifier' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* we can also have negative Yields */ Buildings.ReligiousPressureModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FaithCostModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.FaithCostModifier < 0 THEN abs(Policies.FaithCostModifier) ELSE Policies.FaithCostModifier *-1 END) *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policies.FaithCostModifier') AS Flavor, 'Policies.FaithCostModifier' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.FaithCostModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.CatchSpiesModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.CatchSpiesModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.CatchSpiesModifier' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.CatchSpiesModifier <> 0 AND AnC_Flavor2Yields.YT = 'Policies.CatchSpiesModifier'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------




------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Tech' (TT, FT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Build_TechTimeChanges GnK
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Build_TechTimeChanges.TechType AS TT, Build_Flavors.FlavorType AS FT, Build_TechTimeChanges.TimeChange /count(Build_TechTimeChanges.BuildType) 
*Build_Flavors.Flavor *0.0025 AS Flavor, 'Build_TechTimeChanges' AS FromTable, 'GnK' AS Mod
FROM Build_TechTimeChanges, Build_Flavors
WHERE Build_TechTimeChanges.BuildType = Build_Flavors.BuildType
GROUP BY Build_TechTimeChanges.TechType, Build_Flavors.FlavorType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technologies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.AllowEmbassyTradingAllowed *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.AllowEmbassyTradingAllowed' AS FromTable, 'GnK' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.AllowEmbassyTradingAllowed = 1 AND AnC_Flavor2Yields.YT = 'AllowEmbassyTradingAllowed'
--
/*
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.UnitBaseHealModifier *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.UnitBaseHealModifier' AS FromTable, 'GnK' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE 1 = (SELECT count(*) FROM sqlite_master WHERE type='table' AND name='Technologies' AND sql LIKE '%UnitBaseHealModifier%') -- GnK
AND Technologies.UnitBaseHealModifier = 1 AND AnC_Flavor2Yields.YT = 'UnitBaseHealModifier'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.UnitFortificationModifier *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.UnitFortificationModifier' AS FromTable, 'GnK' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE 1 = (SELECT count(*) FROM sqlite_master WHERE type='table' AND name='Technologies' AND sql LIKE '%UnitFortificationModifier%') -- GnK
AND Technologies.UnitFortificationModifier = 1 AND AnC_Flavor2Yields.YT = 'UnitFortificationModifier'
UNION ALL
*/
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AaD DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors2_GnK.sql';