-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors3_BNW.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- BNW
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Processes
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Processes' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.Building
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, LeagueProjects.Process AS PT, Building_Flavors.Flavor AS Flavor,
'LeagueProjectRewards.Building' AS FromTable, 'BNW' AS Mod
FROM Building_Flavors, LeagueProjects, LeagueProjectRewards
WHERE LeagueProjectRewards.Building NOT NULL AND LeagueProjectRewards.Building = Building_Flavors.BuildingType
AND LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3)
/* we need this, because we have 2 identical Buildings as Reward */ GROUP BY FT, PT, LeagueProjectRewards.Building
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.Happiness
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.Happiness *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.Happiness' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can also have negative Yields */ LeagueProjectRewards.Happiness <> 0 AND AnC_Flavor2Yields.YT = 'Happiness'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.FreeSocialPolicies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.FreeSocialPolicies *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreePolicies') AS Flavor,
'LeagueProjectRewards.FreeSocialPolicies' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.FreeSocialPolicies > 0 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE' AND AnC_Flavor2Yields.FT NOT IN ('FLAVOR_DEFENSE')
AND (LeagueProjectRewards.Type IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.CultureBonusTurns
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.CultureBonusTurns *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'CultureBonusTurns') AS Flavor,
'LeagueProjectRewards.CultureBonusTurns' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.CultureBonusTurns > 0 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.TourismBonusTurns
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.TourismBonusTurns *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TourismBonusTurns') AS Flavor,
'LeagueProjectRewards.TourismBonusTurns' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.TourismBonusTurns > 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.GoldenAgePoints
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.GoldenAgePoints *AnC_Flavor2Yields.Flavor *0.1 AS Flavor,
'LeagueProjectRewards.GoldenAgePoints' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can also have negative Yields */ LeagueProjectRewards.GoldenAgePoints <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_GOLDEN_AGE_POINTS'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.CityStateInfluenceBoost
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.CityStateInfluenceBoost *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.CityStateInfluenceBoost' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.CityStateInfluenceBoost > 0 AND AnC_Flavor2Yields.YT = 'CityStateInfluenceBoost'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.BaseBeakersTurnsToCount
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.BaseBeakersTurnsToCount *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.BaseBeakersTurnsToCount' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.BaseBeakersTurnsToCount > 0 AND AnC_Flavor2Yields.YT = 'YIELD_SCIENCE'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.FreeUnitClass --> we just count the GreatPeople, because normal units have no real impact
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, 1 *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.FreeUnitClass (GreatPeople)' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can also have negative Yields */ LeagueProjectRewards.FreeUnitClass NOT NULL AND AnC_Flavor2Yields.YT = LeagueProjectRewards.FreeUnitClass
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Processes END 
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_DomainFreeExperiencePerGreatWork
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2UnitAITypes.FT AS FT, Building_DomainFreeExperiencePerGreatWork.BuildingType AS BT, Building_DomainFreeExperiencePerGreatWork.Experience 
	*(SELECT CASE WHEN AnC_Flavor2UnitAITypes.FT = 'FLAVOR_MILITARY_TRAINING' THEN 2 ELSE 1.5 END) AS Flavor,
'Building_DomainFreeExperiencePerGreatWork' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2UnitAITypes, Building_DomainFreeExperiencePerGreatWork 
WHERE AnC_Flavor2UnitAITypes.CC NOT NULL
AND AnC_Flavor2UnitAITypes.FT NOT IN ('FLAVOR_ARCHAEOLOGY', 'FLAVOR_CITY_DEFENSE', 'FLAVOR_DIPLOMACY', 'FLAVOR_NAVAL_TILE_IMPROVEMENT', 'FLAVOR_NUKE', 'FLAVOR_TILE_IMPROVEMENT')
AND Building_DomainFreeExperiencePerGreatWork.DomainType = AnC_Flavor2UnitAITypes.Domain
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_YieldChangesPerReligion
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_YieldChangesPerReligion.BuildingType AS BT, sum(Building_YieldChangesPerReligion.Yield *AnC_Flavor2Yields.Flavor) *0.02 AS Flavor,
'Building_YieldChangesPerReligion' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Building_YieldChangesPerReligion
WHERE /* we can also have negative Yields */ Building_YieldChangesPerReligion.Yield <> 0 
AND AnC_Flavor2Yields.YT = Building_YieldChangesPerReligion.YieldType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.NullifyInfluenceModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.NullifyInfluenceModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'NullifyInfluenceModifier') AS Flavor, 'Buildings.NullifyInfluenceModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.NullifyInfluenceModifier = 1 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.LandmarksTourismPercent
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.LandmarksTourismPercent *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'LandmarksTourismPercent') AS Flavor, 'Buildings.LandmarksTourismPercent' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.LandmarksTourismPercent >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GreatWorksTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.GreatWorksTourismModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'GreatWorksTourismModifier') AS Flavor, 'Buildings.GreatWorksTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.GreatWorksTourismModifier >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TechEnhancedTourism
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TechEnhancedTourism *AnC_Flavor2Yields.Flavor *AnC_Era2Tech.EraNr2
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TechEnhancedTourism') AS Flavor,
'Buildings.TechEnhancedTourism' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings, AnC_Era2Tech
WHERE Buildings.TechEnhancedTourism >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM' 
AND Buildings.EnhancedYieldTech = Buildings.PrereqTech AND Buildings.EnhancedYieldTech = AnC_Era2Tech.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GreatWorkSlotType
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.GreatWorkCount *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.GreatWorkSlotType (GreatWorkCount)' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.GreatWorkSlotType NOT NULL AND Buildings.GreatWorkCount >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.FreeGreatWork
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 1 *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreeGreatWork') AS Flavor, 'Buildings.FreeGreatWork' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.FreeGreatWork NOT NULL AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.EspionageModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, abs(Buildings.EspionageModifier) *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.EspionageModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good */ Buildings.EspionageModifier < 0 AND AnC_Flavor2Yields.YT = 'EspionageModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GlobalEspionageModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, abs(Buildings.GlobalEspionageModifier) *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.GlobalEspionageModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good */ Buildings.GlobalEspionageModifier < 0 AND AnC_Flavor2Yields.YT = 'GlobalEspionageModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.InstantMilitaryIncrease
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.InstantMilitaryIncrease *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.InstantMilitaryIncrease' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.InstantMilitaryIncrease = 1 AND AnC_Flavor2Yields.YT = 'InstantMilitaryIncrease'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.ExtraLeagueVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.ExtraLeagueVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.ExtraLeagueVotes' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.ExtraLeagueVotes >= 1 AND AnC_Flavor2Yields.YT = 'ExtraLeagueVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.CityConnectionTradeRouteModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.CityConnectionTradeRouteModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'CityConnectionTradeRouteModifier') AS Flavor, 'Buildings.CityConnectionTradeRouteModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.CityConnectionTradeRouteModifier >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_GOLD'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteRecipientBonus
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteRecipientBonus *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.TradeRouteRecipientBonus' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteRecipientBonus >= 1 AND AnC_Flavor2Yields.YT IN ('TradeRouteRecipientBonus', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteTargetBonus
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteTargetBonus *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.TradeRouteTargetBonus' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteTargetBonus >= 1 AND AnC_Flavor2Yields.YT = 'TradeRouteTargetBonus' -- NO YIELD_GOLD
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.NumTradeRouteBonus
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.NumTradeRouteBonus *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.NumTradeRouteBonus' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.NumTradeRouteBonus >= 1 AND AnC_Flavor2Yields.YT IN ('NumTradeRouteBonus', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteSeaDistanceModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteSeaDistanceModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeRouteSeaDistanceModifier') AS Flavor,
'Buildings.TradeRouteSeaDistanceModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteSeaDistanceModifier >= 1 AND AnC_Flavor2Yields.YT IN ('TradeRouteSeaDistanceModifier', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteSeaGoldBonus
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteSeaGoldBonus *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeRouteSeaGoldBonus') AS Flavor, 'Buildings.TradeRouteSeaGoldBonus' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteSeaGoldBonus >= 1 AND AnC_Flavor2Yields.YT IN ('TradeRouteSeaGoldBonus', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteLandDistanceModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteLandDistanceModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeRouteLandDistanceModifier') AS Flavor, 'Buildings.TradeRouteLandDistanceModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteLandDistanceModifier >= 1 AND AnC_Flavor2Yields.YT IN ('TradeRouteLandDistanceModifier', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.TradeRouteLandGoldBonus
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.TradeRouteLandGoldBonus *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeRouteLandGoldBonus') AS Flavor, 'Buildings.TradeRouteLandGoldBonus' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.TradeRouteLandGoldBonus >= 1 AND AnC_Flavor2Yields.YT IN ('TradeRouteLandGoldBonus', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.CityStateTradeRouteProductionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.CityStateTradeRouteProductionModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'CityStateTradeRouteProductionModifier') AS Flavor, 
'Buildings.CityStateTradeRouteProductionModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.CityStateTradeRouteProductionModifier >= 1 AND AnC_Flavor2Yields.YT IN ('CityStateTradeRouteProductionModifier', 'YIELD_PRODUCTION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.AllowsFoodTradeRoutes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.AllowsFoodTradeRoutes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.AllowsFoodTradeRoutes' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.AllowsFoodTradeRoutes = 1 AND AnC_Flavor2Yields.YT IN ('AllowsFoodTradeRoutes', 'YIELD_FOOD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.AllowsProductionTradeRoutes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.AllowsProductionTradeRoutes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.AllowsProductionTradeRoutes' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.AllowsProductionTradeRoutes = 1 AND AnC_Flavor2Yields.YT IN ('AllowsProductionTradeRoutes', 'YIELD_PRODUCTION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GreatScientistBeakerModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.GreatScientistBeakerModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'GreatScientistBeakerModifier') AS Flavor, 'Buildings.GreatScientistBeakerModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.GreatScientistBeakerModifier >= 1 AND AnC_Flavor2Yields.YT = 'YIELD_SCIENCE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.SpaceProductionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.SpaceProductionModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.SpaceProductionModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.SpaceProductionModifier >= 1 AND AnC_Flavor2Yields.YT = 'SpaceProductionModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GlobalSpaceProductionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.GlobalSpaceProductionModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.GlobalSpaceProductionModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.GlobalSpaceProductionModifier >= 1 AND AnC_Flavor2Yields.YT = 'GlobalSpaceProductionModifier'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatAdmiralRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatAdmiralRateModifier *AnC_Flavor2Yields.Flavor 
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatAdmiralRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatAdmiralRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_GREAT_ADMIRAL'
AND AnC_Flavor2Yields.YT = 'Policies.GreatAdmiralRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatWriterRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatWriterRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_CULTURE') THEN 0.25 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatWriterRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatWriterRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_WRITER'
AND AnC_Flavor2Yields.YT = 'Policies.GreatWriterRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatArtistRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatArtistRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_CULTURE') THEN 0.5 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatArtistRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatArtistRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_ARTIST'
AND AnC_Flavor2Yields.YT = 'Policies.GreatArtistRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatMusicianRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatMusicianRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_CULTURE') THEN 0.25 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatMusicianRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatMusicianRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_MUSICIAN'
AND AnC_Flavor2Yields.YT = 'Policies.GreatMusicianRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatMerchantRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatMerchantRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_GOLD') THEN 0.25 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatMerchantRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatMerchantRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_MERCHANT'
AND AnC_Flavor2Yields.YT = 'Policies.GreatMerchantRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatScientistRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatScientistRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_SCIENCE') THEN 0.25 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatScientistRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatScientistRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_SCIENTIST'
AND AnC_Flavor2Yields.YT = 'Policies.GreatScientistRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.BuildingPurchaseCostModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.BuildingPurchaseCostModifier < 0 THEN abs(Policies.BuildingPurchaseCostModifier) ELSE Policies.BuildingPurchaseCostModifier *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 
'Policies.BuildingPurchaseCostModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.BuildingPurchaseCostModifier <> 0 AND AnC_Flavor2Yields.YT = 'BuildingPurchaseCostModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.StealTechFasterModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.StealTechFasterModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'StealTechFasterModifier') AS Flavor,
'Policies.StealTechFasterModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.StealTechFasterModifier > 0 AND AnC_Flavor2Yields.YT IN ('StealTechFasterModifier', 'YIELD_SCIENCE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.RevealAllCapitals
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.RevealAllCapitals *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.RevealAllCapitals' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.RevealAllCapitals = 1 AND AnC_Flavor2Yields.YT = 'RevealAllCapitals'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.CommonFoeTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.CommonFoeTourismModifier *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'CommonFoeTourismModifier') AS Flavor,
'Policies.CommonFoeTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.CommonFoeTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.LessHappyTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.LessHappyTourismModifier *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'LessHappyTourismModifier') AS Flavor,
'Policies.LessHappyTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.LessHappyTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.SharedIdeologyTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.SharedIdeologyTourismModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'SharedIdeologyTourismModifier') AS Flavor,
'Policies.SharedIdeologyTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.SharedIdeologyTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.LandTradeRouteGoldChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.LandTradeRouteGoldChange *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'LandTradeRouteGoldChange') AS Flavor, 'Policies.LandTradeRouteGoldChange' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.LandTradeRouteGoldChange <> 0 AND AnC_Flavor2Yields.YT IN ('LandTradeRouteGoldChange', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.SeaTradeRouteGoldChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.SeaTradeRouteGoldChange *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'SeaTradeRouteGoldChange') AS Flavor, 'Policies.SeaTradeRouteGoldChange' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.SeaTradeRouteGoldChange <> 0 AND AnC_Flavor2Yields.YT IN ('SeaTradeRouteGoldChange', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.SharedIdeologyTradeGoldChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.SharedIdeologyTradeGoldChange *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'SharedIdeologyTradeGoldChange') AS Flavor,
'Policies.SharedIdeologyTradeGoldChange' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.SharedIdeologyTradeGoldChange <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_GOLD'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.RiggingElectionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.RiggingElectionModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.RiggingElectionModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.RiggingElectionModifier <> 0 AND AnC_Flavor2Yields.YT = 'RiggingElectionModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.MilitaryUnitGiftExtraInfluence
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.MilitaryUnitGiftExtraInfluence *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.MilitaryUnitGiftExtraInfluence' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.MilitaryUnitGiftExtraInfluence <> 0 AND AnC_Flavor2Yields.YT = 'Policies.MilitaryUnitGiftExtraInfluence'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.ProtectedMinorPerTurnInfluence
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.ProtectedMinorPerTurnInfluence *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.ProtectedMinorPerTurnInfluence' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.ProtectedMinorPerTurnInfluence <> 0 AND AnC_Flavor2Yields.YT = 'ProtectedMinorPerTurnInfluence'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.AfraidMinorPerTurnInfluence
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, round(Policies.AfraidMinorPerTurnInfluence *AnC_Flavor2Yields.Flavor,2) AS Flavor,
'Policies.AfraidMinorPerTurnInfluence' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.AfraidMinorPerTurnInfluence <> 0 AND AnC_Flavor2Yields.YT = 'Policies.AfraidMinorPerTurnInfluence'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.MinorBullyScoreModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.MinorBullyScoreModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.MinorBullyScoreModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.MinorBullyScoreModifier <> 0 AND AnC_Flavor2Yields.YT = 'MinorBullyScoreModifier'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.CityStateTradeChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.CityStateTradeChange *AnC_Flavor2Yields.Flavor 
*(SELECT CASE WHEN AnC_Flavor2Yields.YT = 'YIELD_GOLD' THEN 0.01 ELSE 1 END) AS Flavor, 'Policies.CityStateTradeChange' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.CityStateTradeChange <> 0 AND AnC_Flavor2Yields.YT IN ('CityStateTradeChange', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.ThemingBonusMultiplier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.ThemingBonusMultiplier *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ThemingBonusMultiplier') AS Flavor, 'Policies.ThemingBonusMultiplier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.ThemingBonusMultiplier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.InternalTradeRouteYieldModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.InternalTradeRouteYieldModifier *sum(AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ThemingBonusMultiplier')) AS Flavor, 'Policies.InternalTradeRouteYieldModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.InternalTradeRouteYieldModifier <> 0 AND AnC_Flavor2Yields.YT IN ('YIELD_GOLD', 'YIELD_PRODUCTION')
GROUP BY AnC_Flavor2Yields.FT, Policies.Type
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.SharedReligionTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.SharedReligionTourismModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'SharedReligionTourismModifier') AS Flavor, 'Policies.SharedReligionTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.SharedReligionTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.TradeRouteTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.TradeRouteTourismModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeRouteTourismModifier') AS Flavor, 'Policies.TradeRouteTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.TradeRouteTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.OpenBordersTourismModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.OpenBordersTourismModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'OpenBordersTourismModifier') AS Flavor, 'Policies.OpenBordersTourismModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.OpenBordersTourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.EnablesSSPartHurry
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.EnablesSSPartHurry *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.EnablesSSPartHurry' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.EnablesSSPartHurry = 1 AND AnC_Flavor2Yields.YT = 'EnablesSSPartHurry'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.EnablesSSPartPurchase
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.EnablesSSPartPurchase *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.EnablesSSPartPurchase' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.EnablesSSPartPurchase = 1 AND AnC_Flavor2Yields.YT = 'EnablesSSPartPurchase'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_BuildingClassTourismModifiers
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_BuildingClassTourismModifiers.PolicyType AS PT, Policy_BuildingClassTourismModifiers.TourismModifier 
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = Policy_BuildingClassTourismModifiers.BuildingClassType) 
*AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'BuildingClassXModifiers') *0.15 AS Flavor, 
'Policy_BuildingClassTourismModifiers' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policy_BuildingClassTourismModifiers
WHERE /* we can also have negative Yields */ Policy_BuildingClassTourismModifiers.TourismModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
GROUP BY FT, Policy_BuildingClassTourismModifiers.PolicyType, Policy_BuildingClassTourismModifiers.BuildingClassType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_GreatWorkYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_GreatWorkYieldChanges.PolicyType AS PT, sum(Policy_GreatWorkYieldChanges.Yield *AnC_Flavor2Yields.Flavor)
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'GreatWorkXChanges') AS Flavor,
'Policy_GreatWorkYieldChanges' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policy_GreatWorkYieldChanges
WHERE  /* we can also have negative Yields */ Policy_GreatWorkYieldChanges.Yield <> 0 
AND AnC_Flavor2Yields.YT = Policy_GreatWorkYieldChanges.YieldType
GROUP BY FT, Policy_GreatWorkYieldChanges.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_TourismOnUnitCreation
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_TourismOnUnitCreation.PolicyType AS PT, sum(Policy_TourismOnUnitCreation.Tourism) /count(Policy_TourismOnUnitCreation.UnitClassType) 
*AnC_Flavor2Yields.Flavor *0.01 AS Flavor, 'Policy_TourismOnUnitCreation' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Policy_TourismOnUnitCreation
WHERE /* we can also have negative Yields */ Policy_TourismOnUnitCreation.Tourism <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
GROUP BY AnC_Flavor2Yields.FT, Policy_TourismOnUnitCreation.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Resources.PolicyReveal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Resources.FT AS FT, Resources.PolicyReveal AS PT, AnC_Flavor2Resources.Flavor *0.5 AS Flavor, 'Resources.PolicyReveal' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Resources, Resources
WHERE Resources.PolicyReveal NOT NULL AND AnC_Flavor2Resources.RT = Resources.Type
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Tech' (TT, FT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Processes / Resolutions BNW / Process_Flavors GnK (is already created for Vanilla)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Resolutions.TechPrereqAnyMember AS TT, Process_Flavors.FlavorType AS FT, Process_Flavors.Flavor *0.25 AS Flavor, 
'Resolutions.TechPrereqAnyMember' AS FromTable, 'BNW' AS Mod
FROM Resolutions, Process_Flavors, LeagueProjects
WHERE Resolutions.TechPrereqAnyMember NOT NULL AND Resolutions.LeagueProjectEnabled = LeagueProjects.Type
AND LeagueProjects.Process = Process_Flavors.ProcessType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technologies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.InternationalTradeRoutesChange *AnC_Flavor2Yields.Flavor *0.25 AS Flavor, 
'Technologies.InternationalTradeRoutesChange' AS FromTable, 'BNW' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.InternationalTradeRoutesChange <> 0 AND AnC_Flavor2Yields.YT = 'NumTradeRouteBonus'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.InfluenceSpreadModifier *AnC_Flavor2Yields.Flavor *0.25 AS Flavor, 
'Technologies.InfluenceSpreadModifier' AS FromTable, 'BNW' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.InfluenceSpreadModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.ExtraVotesPerDiplomat *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.ExtraVotesPerDiplomat' AS FromTable, 'BNW' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.ExtraVotesPerDiplomat > 0 AND AnC_Flavor2Yields.YT = 'ExtraVotesPerDiplomat'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.TriggersArchaeologicalSites *AnC_Flavor2Yields.Flavor *2 AS Flavor, 
'Technologies.TriggersArchaeologicalSites' AS FromTable, 'BNW' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.TriggersArchaeologicalSites = 1 AND AnC_Flavor2Yields.YT IN ('TriggersArchaeologicalSites', 'YIELD_CULTURE')
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.AllowsWorldCongress *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.AllowsWorldCongress' AS FromTable, 'BNW' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.AllowsWorldCongress = 1 AND AnC_Flavor2Yields.YT = 'AllowsWorldCongress'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technology_TradeRouteDomainExtraRange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technology_TradeRouteDomainExtraRange.TechType AS TT, AnC_Flavor2Yields.FT AS FT, Technology_TradeRouteDomainExtraRange.Range *AnC_Flavor2Yields.Flavor *0.1 AS Flavor,
'Technology_TradeRouteDomainExtraRange' AS FromTable, 'BNW' AS Mod
FROM Technology_TradeRouteDomainExtraRange, AnC_Flavor2Yields
WHERE Technology_TradeRouteDomainExtraRange.Range <> 0 
AND (Technology_TradeRouteDomainExtraRange.DomainType = 'DOMAIN_SEA' AND AnC_Flavor2Yields.YT = 'TradeRouteSeaDistanceModifier'
OR Technology_TradeRouteDomainExtraRange.DomainType = 'DOMAIN_LAND' AND AnC_Flavor2Yields.YT = 'TradeRouteLandDistanceModifier')
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors3_BNW.sql';