-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors5_CP.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Community Patch (CP)
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Unit_BuildingClassPurchaseRequireds
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2UnitAITypes.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE 
WHEN count(Unit_BuildingClassPurchaseRequireds.UnitType) BETWEEN 1 AND 3 THEN 2.5
WHEN count(Unit_BuildingClassPurchaseRequireds.UnitType) BETWEEN 4 AND 6 THEN 5
WHEN count(Unit_BuildingClassPurchaseRequireds.UnitType) BETWEEN 7 AND 9 THEN 10
WHEN count(Unit_BuildingClassPurchaseRequireds.UnitType) BETWEEN 10 AND 12 THEN 15
WHEN count(Unit_BuildingClassPurchaseRequireds.UnitType) >= 13 THEN 20
END) AS Flavor,
'Unit_BuildingClassPurchaseRequireds' AS FromTable, 'CP' AS Mod
FROM Unit_BuildingClassPurchaseRequireds, Buildings, AnC_Flavor2UnitAITypes
WHERE Unit_BuildingClassPurchaseRequireds.UnitType = AnC_Flavor2UnitAITypes.UT
AND Buildings.BuildingClass = Unit_BuildingClassPurchaseRequireds.BuildingClassType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_BuildingClassLocalHappiness
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_BuildingClassLocalHappiness.BuildingType AS BT, Building_BuildingClassLocalHappiness.Happiness 
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = Building_BuildingClassLocalHappiness.BuildingClassType) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Building_BuildingClassLocalHappiness.Happiness' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_BuildingClassLocalHappiness
WHERE /* we can also have negative Yields */ Building_BuildingClassLocalHappiness.Happiness <> 0 AND AnC_Flavor2Yields.YT = 'BuildingClassLocalHappiness'
GROUP BY Building_BuildingClassLocalHappiness.BuildingType, Building_BuildingClassLocalHappiness.BuildingClassType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_BuildingClassLocalYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_BuildingClassLocalYieldChanges.BuildingType AS BT, sum(Building_BuildingClassLocalYieldChanges.YieldChange)
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = Building_BuildingClassLocalYieldChanges.BuildingClassType) 
*AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'BuildingClassLocalXChanges') AS Flavor, 
'Building_BuildingClassLocalYieldChanges' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_BuildingClassLocalYieldChanges
WHERE /* we can also have negative Yields */ Building_BuildingClassLocalYieldChanges.YieldChange <> 0 
AND AnC_Flavor2Yields.YT = Building_BuildingClassLocalYieldChanges.YieldType
GROUP BY AnC_Flavor2Yields.FT, Building_BuildingClassLocalYieldChanges.BuildingType,  Building_BuildingClassLocalYieldChanges.YieldType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_GrowthExtraYield
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_GrowthExtraYield.BuildingType AS BT, sum(Building_GrowthExtraYield.Yield *AnC_Flavor2Yields.Flavor) 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'GrowthExtraX') AS Flavor,
'Building_GrowthExtraYield' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_GrowthExtraYield
WHERE Building_GrowthExtraYield.Yield > 0 
AND AnC_Flavor2Yields.YT = Building_GrowthExtraYield.YieldType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_InstantYield
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_InstantYield.BuildingType AS BT, sum(Building_InstantYield.Yield *AnC_Flavor2Yields.Flavor *AnC_Era2Tech.EraMul) *0.01 AS Flavor,
'Building_InstantYield' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_InstantYield, Buildings, AnC_Era2Tech
WHERE Building_InstantYield.Yield > 0 
AND AnC_Flavor2Yields.YT = Building_InstantYield.YieldType
AND Building_InstantYield.BuildingType = Buildings.Type
AND Buildings.PrereqTech = AnC_Era2Tech.Type
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_PlotYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_PlotYieldChanges.BuildingType AS BT, sum(Building_PlotYieldChanges.Yield *AnC_Flavor2Yields.Flavor)
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'PlotXChanges') AS Flavor,
'Building_PlotYieldChanges' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_PlotYieldChanges
WHERE /* we can also have negative Yields */ Building_PlotYieldChanges.Yield <> 0 
AND AnC_Flavor2Yields.YT = Building_PlotYieldChanges.YieldType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_YieldFromDeath
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_YieldFromDeath.BuildingType AS BT, sum(Building_YieldFromDeath.Yield *AnC_Flavor2Yields.Flavor) *0.1 AS Flavor,
'Building_YieldFromDeath' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_YieldFromDeath
WHERE /* we can also have negative Yields */ Building_YieldFromDeath.Yield <> 0 
AND AnC_Flavor2Yields.YT = Building_YieldFromDeath.YieldType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_YieldFromVictory
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Building_YieldFromVictory.BuildingType AS BT, sum(Building_YieldFromVictory.Yield *AnC_Flavor2Yields.Flavor) AS Flavor,
'Building_YieldFromVictory' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Building_YieldFromVictory
WHERE /* we can also have negative Yields */ Building_YieldFromVictory.Yield <> 0 
AND AnC_Flavor2Yields.YT IN (Building_YieldFromVictory.YieldType, 'YieldFromVictory')
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.AddsFreshWater
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.AddsFreshWater *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'AddsFreshWater') AS Flavor, 'Buildings.AddsFreshWater' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.AddsFreshWater = 1 AND AnC_Flavor2Yields.YT = 'YIELD_FOOD'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.IsReformation
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.IsReformation *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'IsReformation') AS Flavor, 'Buildings.IsReformation' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* we can just have 0/1 */ Buildings.IsReformation = 1 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.ConversionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.ConversionModifier < 0 THEN abs(Buildings.ConversionModifier) ELSE Buildings.ConversionModifier *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.ConversionModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.ConversionModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GlobalConversionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.GlobalConversionModifier < 0 THEN abs(Buildings.GlobalConversionModifier) ELSE Buildings.GlobalConversionModifier *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.GlobalConversionModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good  - positive is bad */ Buildings.GlobalConversionModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.PovertyHappinessChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.PovertyHappinessChange < 0 THEN abs(Buildings.PovertyHappinessChange) ELSE Buildings.PovertyHappinessChange *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.PovertyHappinessChange' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.PovertyHappinessChange <> 0 AND AnC_Flavor2Yields.YT = 'PovertyHappinessChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.PovertyHappinessChangeGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.PovertyHappinessChangeGlobal < 0 THEN abs(Buildings.PovertyHappinessChangeGlobal) ELSE Buildings.PovertyHappinessChangeGlobal *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.PovertyHappinessChangeGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.PovertyHappinessChangeGlobal <> 0 AND AnC_Flavor2Yields.YT = 'PovertyHappinessChangeGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.DefenseHappinessChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.DefenseHappinessChange < 0 THEN abs(Buildings.DefenseHappinessChange) ELSE Buildings.DefenseHappinessChange *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.DefenseHappinessChange' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.DefenseHappinessChange <> 0 AND AnC_Flavor2Yields.YT = 'DefenseHappinessChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.DefenseHappinessChangeGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.DefenseHappinessChangeGlobal < 0 THEN abs(Buildings.DefenseHappinessChangeGlobal) ELSE Buildings.DefenseHappinessChangeGlobal *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.DefenseHappinessChangeGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.DefenseHappinessChangeGlobal <> 0 AND AnC_Flavor2Yields.YT = 'DefenseHappinessChangeGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.IlliteracyHappinessChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.IlliteracyHappinessChange < 0 THEN abs(Buildings.IlliteracyHappinessChange) ELSE Buildings.IlliteracyHappinessChange *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.IlliteracyHappinessChange' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.IlliteracyHappinessChange <> 0 AND AnC_Flavor2Yields.YT = 'IlliteracyHappinessChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.IlliteracyHappinessChangeGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.IlliteracyHappinessChangeGlobal < 0 THEN abs(Buildings.IlliteracyHappinessChangeGlobal) ELSE Buildings.IlliteracyHappinessChangeGlobal *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.IlliteracyHappinessChangeGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.IlliteracyHappinessChangeGlobal <> 0 AND AnC_Flavor2Yields.YT = 'IlliteracyHappinessChangeGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.UnculturedHappinessChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.UnculturedHappinessChange < 0 THEN abs(Buildings.UnculturedHappinessChange) ELSE Buildings.UnculturedHappinessChange *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.UnculturedHappinessChange' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.UnculturedHappinessChange <> 0 AND AnC_Flavor2Yields.YT = 'UnculturedHappinessChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.UnculturedHappinessChangeGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.UnculturedHappinessChangeGlobal < 0 THEN abs(Buildings.UnculturedHappinessChangeGlobal) ELSE Buildings.UnculturedHappinessChangeGlobal *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.UnculturedHappinessChangeGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.UnculturedHappinessChangeGlobal <> 0 AND AnC_Flavor2Yields.YT = 'UnculturedHappinessChangeGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.MinorityHappinessChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.MinorityHappinessChange < 0 THEN abs(Buildings.MinorityHappinessChange) ELSE Buildings.MinorityHappinessChange *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.MinorityHappinessChange' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.MinorityHappinessChange <> 0 AND AnC_Flavor2Yields.YT = 'MinorityHappinessChange'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.MinorityHappinessChangeGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, 
(SELECT CASE WHEN Buildings.MinorityHappinessChangeGlobal < 0 THEN abs(Buildings.MinorityHappinessChangeGlobal) ELSE Buildings.MinorityHappinessChangeGlobal *-1 END)
*AnC_Flavor2Yields.Flavor AS Flavor, 'Buildings.MinorityHappinessChangeGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE /* negative is good - positive is bad */ Buildings.MinorityHappinessChangeGlobal <> 0 AND AnC_Flavor2Yields.YT = 'MinorityHappinessChangeGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GrantsRandomResourceTerritory CP
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Resources.FT AS FT, AnC_AllBU.BT AS BT, Buildings.GrantsRandomResourceTerritory *AnC_Flavor2Resources.Flavor AS Flavor,
'Buildings.GrantsRandomResourceTerritory' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Resources, AnC_AllBU, Buildings
WHERE Buildings.GrantsRandomResourceTerritory >= 1 AND AnC_Flavor2Resources.CT = AnC_AllBU.CT
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.CityWorkingChange CP
------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.NoUnhappfromXSpecialists
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.NoUnhappfromXSpecialists *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.NoUnhappfromXSpecialists' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.NoUnhappfromXSpecialists > 0 AND AnC_Flavor2Yields.YT = 'NoUnhappfromXSpecialists'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.NoUnhappfromXSpecialistsCapital CP
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.NoUnhappfromXSpecialistsCapital *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.NoUnhappfromXSpecialistsCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.NoUnhappfromXSpecialistsCapital > 0 AND AnC_Flavor2Yields.YT = 'NoUnhappfromXSpecialistsCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.PovertyHappinessMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.PovertyHappinessMod < 0 THEN abs(Policies.PovertyHappinessMod) ELSE Policies.PovertyHappinessMod *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.PovertyHappinessMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.PovertyHappinessMod <> 0 AND AnC_Flavor2Yields.YT = 'PovertyHappinessMod'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.DefenseHappinessMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.DefenseHappinessMod < 0 THEN abs(Policies.DefenseHappinessMod) ELSE Policies.DefenseHappinessMod *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.DefenseHappinessMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.DefenseHappinessMod <> 0 AND AnC_Flavor2Yields.YT = 'DefenseHappinessMod'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.IlliteracyHappinessMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.IlliteracyHappinessMod < 0 THEN abs(Policies.IlliteracyHappinessMod) ELSE Policies.IlliteracyHappinessMod *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.IlliteracyHappinessMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.IlliteracyHappinessMod <> 0 AND AnC_Flavor2Yields.YT = 'IlliteracyHappinessMod'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.UnculturedHappinessMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.UnculturedHappinessMod < 0 THEN abs(Policies.UnculturedHappinessMod) ELSE Policies.UnculturedHappinessMod *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.UnculturedHappinessMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.UnculturedHappinessMod <> 0 AND AnC_Flavor2Yields.YT = 'UnculturedHappinessMod'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.MinorityHappinessMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.MinorityHappinessMod < 0 THEN abs(Policies.MinorityHappinessMod) ELSE Policies.MinorityHappinessMod *-1 END) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'MinorityHappinessMod') AS Flavor, 'Policies.MinorityHappinessMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.MinorityHappinessMod <> 0 AND AnC_Flavor2Yields.YT IN ('MinorityHappinessMod', 'YIELD_FAITH')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.PovertyHappinessModCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.PovertyHappinessModCapital < 0 THEN abs(Policies.PovertyHappinessModCapital) ELSE Policies.PovertyHappinessModCapital *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.PovertyHappinessModCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.PovertyHappinessModCapital <> 0 AND AnC_Flavor2Yields.YT = 'PovertyHappinessModCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.DefenseHappinessModCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.DefenseHappinessModCapital < 0 THEN abs(Policies.DefenseHappinessModCapital) ELSE Policies.DefenseHappinessModCapital *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.DefenseHappinessModCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.DefenseHappinessModCapital <> 0 AND AnC_Flavor2Yields.YT = 'DefenseHappinessModCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.IlliteracyHappinessModCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.IlliteracyHappinessModCapital < 0 THEN abs(Policies.IlliteracyHappinessModCapital) ELSE Policies.IlliteracyHappinessModCapital *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.IlliteracyHappinessModCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.IlliteracyHappinessModCapital <> 0 AND AnC_Flavor2Yields.YT = 'IlliteracyHappinessModCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.UnculturedHappinessModCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.UnculturedHappinessModCapital < 0 THEN abs(Policies.UnculturedHappinessModCapital) ELSE Policies.UnculturedHappinessModCapital *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.UnculturedHappinessModCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.UnculturedHappinessModCapital <> 0 AND AnC_Flavor2Yields.YT = 'UnculturedHappinessModCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.MinorityHappinessModCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.MinorityHappinessModCapital < 0 THEN abs(Policies.MinorityHappinessModCapital) ELSE Policies.MinorityHappinessModCapital *-1 END) 
*AnC_Flavor2Yields.Flavor AS Flavor, 'Policies.MinorityHappinessModCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.MinorityHappinessModCapital <> 0 AND AnC_Flavor2Yields.YT = 'MinorityHappinessModCapital'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.PuppetProdMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.PuppetProdMod *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'PuppetProdMod') AS Flavor,
'Policies.PuppetProdMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.PuppetProdMod <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_PRODUCTION'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.OccupiedProdMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.OccupiedProdMod *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'OccupiedProdMod') AS Flavor,
'Policies.OccupiedProdMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.OccupiedProdMod <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_PRODUCTION'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.HappinessPerXPopulationGlobal
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.HappinessPerXPopulationGlobal *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.HappinessPerXPopulationGlobal' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.HappinessPerXPopulationGlobal <> 0 AND AnC_Flavor2Yields.YT = 'HappinessPerXPopulationGlobal'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.WarWearinessModifier --Baustelle (was machen?)
------------------------------------------------------------------------------------------------------------------------------------------------------
/*
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.WarWearinessModifier *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.WarWearinessModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE *//* we can also have negative Yields *//* Policies.WarWearinessModifier <> 0 AND AnC_Flavor2Yields.YT = 'WarWearinessModifier'
UNION ALL
*/
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.BestRangedUnitSpawnSettle
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.BestRangedUnitSpawnSettle *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.BestRangedUnitSpawnSettle' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.BestRangedUnitSpawnSettle = 1 AND AnC_Flavor2Yields.YT = 'Policies.BestRangedUnitSpawnSettle'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.DoubleBorderGA
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.DoubleBorderGA *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.DoubleBorderGA' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.DoubleBorderGA = 1 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE' AND AnC_Flavor2Yields.FT NOT IN ('FLAVOR_CULTURE', 'FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FreePopulation
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.FreePopulation *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreePopulation') AS Flavor,
'Policies.FreePopulation' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.FreePopulation > 0 AND AnC_Flavor2Yields.YT = 'YIELD_POPULATION'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.ExtraMoves
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.ExtraMoves *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.ExtraMoves' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.ExtraMoves <> 0 AND AnC_Flavor2Yields.YT = 'ExtraMoves'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.TradeReligionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.TradeReligionModifier *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'TradeReligionModifier') AS Flavor,
'Policies.TradeReligionModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.TradeReligionModifier <> 0 AND AnC_Flavor2Yields.YT IN ('TradeReligionModifier', 'YIELD_FAITH')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.IncreasedQuestInfluence -- no longer used
------------------------------------------------------------------------------------------------------------------------------------------------------
--SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.IncreasedQuestInfluence *AnC_Flavor2Yields.Flavor AS Flavor,
--'Policies.IncreasedQuestInfluence' AS FromTable, 'CP' AS Mod
--FROM AnC_Flavor2Yields, Policies
--WHERE /* we can just have 0/1 */ Policies.IncreasedQuestInfluence = 1 AND AnC_Flavor2Yields.YT = 'IncreasedQuestInfluence'
--UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FreeWCVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.FreeWCVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.FreeWCVotes' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.FreeWCVotes = 1 AND AnC_Flavor2Yields.YT = 'FreeWCVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.InfluenceGPExpend
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.InfluenceGPExpend *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.InfluenceGPExpend' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.InfluenceGPExpend <> 0 AND AnC_Flavor2Yields.YT = 'InfluenceGPExpend'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FreeTradeRoute
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.FreeTradeRoute *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.FreeTradeRoute' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.FreeTradeRoute > 0 AND AnC_Flavor2Yields.YT IN ('NumTradeRouteBonus', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FreeSpy
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.FreeSpy *AnC_Flavor2Yields.Flavor AS Flavor,
'Policies.FreeSpy' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have + */ Policies.FreeSpy > 0 AND AnC_Flavor2Yields.YT = 'ExtraSpies'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.InternalTradeGold
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.InternalTradeGold *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'InternalTradeGold') AS Flavor, 'Policies.InternalTradeGold' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.InternalTradeGold <> 0 AND AnC_Flavor2Yields.YT IN ('InternalTradeGold', 'YIELD_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.CitadelBoost
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, Policies.CitadelBoost *AnC_Flavor2Yields.Flavor
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policies.CitadelBoost') AS Flavor, 'Policies.CitadelBoost' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* we can just have 0/1 */ Policies.CitadelBoost = 1 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.InvestmentModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.InvestmentModifier < 0 THEN abs(Policies.InvestmentModifier) ELSE Policies.InvestmentModifier *-1 END) *AnC_Flavor2Yields.Flavor
/* will cost Gold */ *(SELECT CASE WHEN AnC_Flavor2Yields.YT = 'YIELD_GOLD' THEN -0.25 ELSE 1 END) 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'InvestmentModifier') AS Flavor,
'Policies.InvestmentModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.InvestmentModifier <> 0 AND AnC_Flavor2Yields.YT IN ('YIELD_GOLD', 'YIELD_PRODUCTION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.CityWorkingChange
-----------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.ConversionModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policies.Type AS PT, 
(SELECT CASE WHEN Policies.ConversionModifier < 0 THEN abs(Policies.ConversionModifier) ELSE Policies.ConversionModifier *-1 END) 
*AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policies.ConversionModifier') AS Flavor, 
'Policies.ConversionModifier' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policies
WHERE /* negative is good - positive is bad */ Policies.ConversionModifier <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_CityYieldFromUnimprovedFeature -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_ConquerorYield
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_ConquerorYield.PolicyType AS PT, sum(Policy_ConquerorYield.Yield *AnC_Flavor2Yields.Flavor)
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ConquerorYield') AS Flavor,
'Policy_ConquerorYield' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_ConquerorYield
WHERE /* we can also have negative Yields */ Policy_ConquerorYield.Yield <> 0 
AND AnC_Flavor2Yields.YT = Policy_ConquerorYield.YieldType
GROUP BY FT, Policy_ConquerorYield.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_FaithPurchaseUnitClasses -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_FeatureYieldChanges -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_GoldenAgeGreatPersonRateModifier -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_GreatPersonExpendedYield -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_PlotYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_PlotYieldChanges.PolicyType AS PT, sum(Policy_PlotYieldChanges.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'PlotXChangesGlobal') AS Flavor, 'Policy_PlotYieldChanges' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_PlotYieldChanges
WHERE /* we can also have negative Yields */ Policy_PlotYieldChanges.Yield <> 0 AND AnC_Flavor2Yields.YT = Policy_PlotYieldChanges.YieldType
GROUP BY AnC_Flavor2Yields.FT, Policy_PlotYieldChanges.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_ReligionBuildingYieldMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_ReligionBuildingYieldMod.PolicyType AS PT, sum(Policy_ReligionBuildingYieldMod.YieldMod) *AnC_Flavor2Yields.Flavor AS Flavor,
'Policy_ReligionBuildingYieldMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_ReligionBuildingYieldMod
WHERE /* we can also have negative Yields */ Policy_ReligionBuildingYieldMod.YieldMod <> 0 AND Policy_ReligionBuildingYieldMod.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_ReligionBuildingYieldMod.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_ReligionYieldMod
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_ReligionYieldMod.PolicyType AS PT, sum(Policy_ReligionYieldMod.Yield) *AnC_Flavor2Yields.Flavor AS Flavor, 
'Policy_ReligionYieldMod' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_ReligionYieldMod
WHERE /* we can also have negative Yields */ Policy_ReligionYieldMod.Yield <> 0 AND Policy_ReligionYieldMod.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_ReligionYieldMod.PolicyType, Policy_ReligionYieldMod.YieldType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_ResourceYieldChanges
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_ResourceYieldChanges.PolicyType AS PT, sum(Policy_ResourceYieldChanges.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'ResourceXChanges') AS Flavor,
'Policy_ResourceYieldChanges' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_ResourceYieldChanges
WHERE /* we can also have negative Yields */ Policy_ResourceYieldChanges.Yield <> 0 AND Policy_ResourceYieldChanges.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_ResourceYieldChanges.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_SpecialistYieldChanges -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_TerrainYieldChanges -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_TradeRouteYieldChange -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_UnimprovedFeatureYieldChanges -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldChangeTradeRoute
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldChangeTradeRoute.PolicyType AS PT, sum(Policy_YieldChangeTradeRoute.Yield) *AnC_Flavor2Yields.Flavor AS Flavor,
'Policy_YieldChangeTradeRoute' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldChangeTradeRoute
WHERE /* we can also have negative Yields */ Policy_YieldChangeTradeRoute.Yield <> 0 AND Policy_YieldChangeTradeRoute.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldChangeTradeRoute.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldChangeWorldWonder ------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldChangeWorldWonder.PolicyType AS PT, sum(Policy_YieldChangeWorldWonder.Yield) *AnC_Flavor2Yields.Flavor *2 AS Flavor,
'Policy_YieldChangeWorldWonder' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldChangeWorldWonder
WHERE /* we can also have negative Yields */ Policy_YieldChangeWorldWonder.Yield <> 0 AND Policy_YieldChangeWorldWonder.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldChangeWorldWonder.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldChangesNaturalWonder -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromBarbarianKills -- empty -- CP
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromBirth
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromBirth.PolicyType AS PT, sum(Policy_YieldFromBirth.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromBirth') AS Flavor, 'Policy_YieldFromBirth' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromBirth
WHERE /* we can also have negative Yields */ Policy_YieldFromBirth.Yield <> 0 AND Policy_YieldFromBirth.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromBirth.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromBirthCapital
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromBirthCapital.PolicyType AS PT, sum(Policy_YieldFromBirthCapital.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromBirthCapital') AS Flavor, 'Policy_YieldFromBirthCapital' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromBirthCapital
WHERE /* we can also have negative Yields */ Policy_YieldFromBirthCapital.Yield <> 0 AND Policy_YieldFromBirthCapital.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromBirthCapital.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromBorderGrowth
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromBorderGrowth.PolicyType AS PT, sum(Policy_YieldFromBorderGrowth.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromBorderGrowth') AS Flavor, 'Policy_YieldFromBorderGrowth' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromBorderGrowth
WHERE /* we can also have negative Yields */ Policy_YieldFromBorderGrowth.Yield <> 0 AND Policy_YieldFromBorderGrowth.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromBorderGrowth.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromConstruction
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromConstruction.PolicyType AS PT, sum(Policy_YieldFromConstruction.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromConstruction') AS Flavor, 'Policy_YieldFromConstruction' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromConstruction
WHERE /* we can also have negative Yields */ Policy_YieldFromConstruction.Yield <> 0 AND Policy_YieldFromConstruction.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromConstruction.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromKills
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromKills.PolicyType AS PT, sum(Policy_YieldFromKills.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromKills') AS Flavor, 'Policy_YieldFromKills' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromKills
WHERE /* we can also have negative Yields */ Policy_YieldFromKills.Yield <> 0 AND AnC_Flavor2Yields.YT IN (Policy_YieldFromKills.YieldType, 'Policy_YieldFromKills')
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromKills.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldFromTech
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldFromTech.PolicyType AS PT, sum(Policy_YieldFromTech.Yield) *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Policy_YieldFromTech') AS Flavor,
'Policy_YieldFromTech' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldFromTech
WHERE /* we can also have negative Yields */ Policy_YieldFromTech.Yield <> 0 AND Policy_YieldFromTech.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldFromTech.PolicyType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_YieldGPExpend
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Policy_YieldGPExpend.PolicyType AS PT, sum(Policy_YieldGPExpend.Yield) *AnC_Flavor2Yields.Flavor *0.005 AS Flavor,
'Policy_YieldGPExpend' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Policy_YieldGPExpend
WHERE /* we can also have negative Yields */ Policy_YieldGPExpend.Yield <> 0 AND Policy_YieldGPExpend.YieldType = AnC_Flavor2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, Policy_YieldGPExpend.PolicyType
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Tech' (TT, FT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technologies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.CityLessEmbarkCost *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.CityLessEmbarkCost' AS FromTable, 'CP' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.CityLessEmbarkCost = 1 AND AnC_Flavor2Yields.YT = 'EmbarkedMoveChange'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.CityNoEmbarkCost *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.CityNoEmbarkCost' AS FromTable, 'CP' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.CityNoEmbarkCost = 1 AND AnC_Flavor2Yields.YT = 'EmbarkedMoveChange'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors5_CP.sql';