-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors7_CSD.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- City-State Diplomacy Mod - CBP Edition (CSD)
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Processes
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Processes' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.AttackBonusTurns
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.AttackBonusTurns *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.AttackBonusTurns' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.AttackBonusTurns > 0 AND AnC_Flavor2Yields.YT = 'AttackBonusTurns'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.BaseFreeUnits
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.BaseFreeUnits *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.BaseFreeUnits' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can also have negative Yields */ LeagueProjectRewards.BaseFreeUnits <> 0 AND AnC_Flavor2Yields.YT IN ('BaseFreeUnits', 'FLAVOR_GOLD')
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- LeagueProjectRewards.GetNumFreeGreatPeople = FreeGreatPeople
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, LeagueProjects.Process AS PT, LeagueProjectRewards.GetNumFreeGreatPeople *AnC_Flavor2Yields.Flavor AS Flavor,
'LeagueProjectRewards.GetNumFreeGreatPeople' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, LeagueProjects, LeagueProjectRewards
WHERE /* we can just have > 0 */ LeagueProjectRewards.GetNumFreeGreatPeople > 0 AND AnC_Flavor2Yields.YT = 'FreeGreatPeople'
AND (LeagueProjectRewards.Type  IN (LeagueProjects.RewardTier1, LeagueProjects.RewardTier2, LeagueProjects.RewardTier3))
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Processes END
------------------------------------------------------------------------------------------------------------------------------------------------------



INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.FaithToVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.FaithToVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.FaithToVotes' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.FaithToVotes >= 1 AND AnC_Flavor2Yields.YT = 'FaithToVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.CapitalsToVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.CapitalsToVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.CapitalsToVotes' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.CapitalsToVotes >= 1 AND AnC_Flavor2Yields.YT = 'CapitalsToVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.DoFToVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.DoFToVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.DoFToVotes' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.DoFToVotes >= 1 AND AnC_Flavor2Yields.YT = 'DoFToVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.RAToVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.RAToVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.RAToVotes' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.RAToVotes >= 1 AND AnC_Flavor2Yields.YT = 'RAToVotes'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.GPExpendInfluence
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.GPExpendInfluence *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.GPExpendInfluence' AS FromTable, 'CSD' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.GPExpendInfluence >= 1 AND AnC_Flavor2Yields.YT = 'GPExpendInfluence'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.GreatDiplomatRateModifier
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Policies.Type AS PT, Policies.GreatDiplomatRateModifier *AnC_Flavor2Yields.Flavor
*(SELECT CASE WHEN AnC_Flavor2GreatPersons.FT NOT IN ('FLAVOR_GREAT_PEOPLE', 'FLAVOR_DIPLOMACY') THEN 0.25 ELSE 1 END)
*AnC_Flavor2Yields.TableMul AS Flavor, 'Policies.GreatDiplomatRateModifier' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2GreatPersons, AnC_Flavor2Yields, Policies
WHERE /* we can also have negative Yields */ Policies.GreatDiplomatRateModifier <> 0 AND AnC_Flavor2GreatPersons.UT = 'UNIT_GREAT_DIPLOMAT'
AND AnC_Flavor2Yields.YT = 'Policies.GreatDiplomatRateModifier'
GROUP BY AnC_Flavor2GreatPersons.FT, Policies.Type
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors7_CSD.sql';