-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors91_STOCK.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Resources (this part must be at the end!)
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2ResourcesT' (FT, RT, Flavor, RU, FromTable, CT)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Flavor2Buildings - Building_ResourceQuantityRequirements (Flavor2Buildings)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, Building_ResourceQuantityRequirements.ResourceType AS RT, 
(SELECT CASE 
WHEN sum(Building_ResourceQuantityRequirements.Cost) BETWEEN 1 AND 3 THEN 30 
WHEN sum(Building_ResourceQuantityRequirements.Cost) BETWEEN 4 AND 6 THEN 45
WHEN sum(Building_ResourceQuantityRequirements.Cost) BETWEEN 7 AND 9 THEN 60
WHEN sum(Building_ResourceQuantityRequirements.Cost) BETWEEN 10 AND 12 THEN 75
WHEN sum(Building_ResourceQuantityRequirements.Cost) >= 13 THEN 100
END) AS Flavor, Resources.ResourceUsage AS RU,
'Flavor2Buildings' AS FromTable, (SELECT CASE WHEN Resources.CivilizationType NOT NULL THEN Resources.CivilizationType ELSE 'CIVILIZATION_ALL' END) AS CT
FROM Building_Flavors, Building_ResourceQuantityRequirements, Resources
WHERE Building_ResourceQuantityRequirements.BuildingType = Building_Flavors.BuildingType
AND Building_Flavors.Flavor >= 15
AND Building_ResourceQuantityRequirements.ResourceType = Resources.Type
GROUP BY FT, RT;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- END AnC_Flavor2Resources
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType (this part must be at the end!)
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceQuantity (Flavor2Units)
------------------------------------------------------------------------------------------------------------------------------------------------------
/*
SELECT AnC_Flavor2UnitAITypes.FT AS FT, Building_ResourceQuantity.BuildingType AS BT, 
(SELECT CASE 
WHEN sum(Unit_ResourceQuantityRequirements.Cost) BETWEEN 1 AND 3 THEN 30 
WHEN sum(Unit_ResourceQuantityRequirements.Cost) BETWEEN 4 AND 6 THEN 45
WHEN sum(Unit_ResourceQuantityRequirements.Cost) BETWEEN 7 AND 9 THEN 60
WHEN sum(Unit_ResourceQuantityRequirements.Cost) BETWEEN 10 AND 12 THEN 75
WHEN sum(Unit_ResourceQuantityRequirements.Cost) >= 13 THEN 100
END) AS Flavor,
'Unit_ResourceQuantityRequirements2Building_ResourceQuantity' AS FromTable, 'Vanilla' AS Mod
FROM Building_ResourceQuantity, AnC_Flavor2UnitAITypes, Unit_ResourceQuantityRequirements
WHERE Building_ResourceQuantity.BuildingType = Building_Flavors_NEW_INS.BT
AND Building_ResourceQuantity.ResourceType = Unit_ResourceQuantityRequirements.ResourceType
AND Unit_ResourceQuantityRequirements.UnitType = AnC_Flavor2UnitAITypes.UT
GROUP BY FT, BT
*/
/*
SELECT AnC_Flavor2Resources.FT AS FT, Building_ResourceQuantity.BuildingType AS BT, sum(AnC_Flavor2Resources.Flavor) AS Flavor,
'Building_ResourceQuantity_AnC_Flavor2Resources - Flavor2Units' AS FromTable, 'Vanilla' AS Mod
FROM AnC_Flavor2Resources, Building_ResourceQuantity
WHERE AnC_Flavor2Resources.RT = Building_ResourceQuantity.ResourceType
AND AnC_Flavor2Resources.FromTable IN ('Flavor2Units')
GROUP BY FT, BT, RT
UNION ALL
*/
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceQuantity (Flavor2Buildings)
------------------------------------------------------------------------------------------------------------------------------------------------------
/*
SELECT AnC_Flavor2Resources.FT AS FT, Building_ResourceQuantity.BuildingType AS BT, sum(AnC_Flavor2Resources.Flavor) AS Flavor,
'Building_ResourceQuantity_AnC_Flavor2Resources - Flavor2Buildings' AS FromTable, 'Vanilla' AS Mod
FROM AnC_Flavor2Resources, Building_ResourceQuantity
WHERE AnC_Flavor2Resources.RT = Building_ResourceQuantity.ResourceType
AND AnC_Flavor2Resources.FromTable IN ('Flavor2Buildings')
GROUP BY FT, BT, RT
UNION ALL
*/
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceQuantity (Flavor2Units/Flavor2Buildings)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Resources.FT AS FT, Building_ResourceQuantity.BuildingType AS BT, sum(AnC_Flavor2Resources.Flavor) /count(AnC_Flavor2Resources.RT) AS Flavor,
'Building_ResourceQuantity_AnC_Flavor2Resources - Flavor2Units/Flavor2Buildings' AS FromTable, 'Vanilla' AS Mod
FROM AnC_Flavor2Resources, Building_ResourceQuantity
WHERE AnC_Flavor2Resources.RT = Building_ResourceQuantity.ResourceType
AND AnC_Flavor2Resources.FromTable IN ('Flavor2Units', 'Flavor2Buildings')
GROUP BY AnC_Flavor2Resources.FT, Building_ResourceQuantity.BuildingType, AnC_Flavor2Resources.RT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.FreeBuilding
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, Buildings.Type AS BT, sum(Building_Flavors.Flavor) *4 AS Flavor, 
'Buildings.FreeBuilding' AS FromTable, 'Vanilla' AS Mod
FROM Building_Flavors, BuildingClasses, Buildings
WHERE Buildings.FreeBuilding NOT NULL
AND Buildings.FreeBuilding = BuildingClasses.Type
AND BuildingClasses.DefaultBuilding = Building_Flavors.BuildingType
GROUP BY FT, BT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.FreeBuildingThisCity
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, Buildings.Type AS BT, sum(Building_Flavors.Flavor) AS Flavor, 
'Buildings.FreeBuildingThisCity' AS FromTable, 'Vanilla' AS Mod
FROM Building_Flavors, BuildingClasses, Buildings
WHERE Buildings.FreeBuildingThisCity NOT NULL
AND Buildings.FreeBuildingThisCity = BuildingClasses.Type
AND BuildingClasses.DefaultBuilding = Building_Flavors.BuildingType
GROUP BY FT, BT
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors91_STOCK.sql';