-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews1B_YIELDS.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_QueryViews1B_YIELDS
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_Yields' AS
SELECT 'YIELD_FOOD' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_PRODUCTION' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_GOLD' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_SCIENCE' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_CULTURE' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_FAITH' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_TOURISM' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_GOLDEN_AGE_POINTS' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_GREAT_GENERAL_POINTS' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_GREAT_ADMIRAL_POINTS' AS YT, 1 AS YieldBase, 5 AS BaseMul
UNION
SELECT 'YIELD_POPULATION' AS YT, 1 AS YieldBase, 25 AS BaseMul
UNION
SELECT 'YIELD_CULTURE_LOCAL' AS YT, 1 AS YieldBase, 5 AS BaseMul;


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 'AnC_Flavor2Yields' ('FT' TEXT, 'YT' TEXT, 'Flavor' DECIMAL, 'TableMul' INTEGER, 'Info' TEXT, 'Ver' INTEGER);

DELETE FROM AnC_Flavor2Yields;

INSERT INTO AnC_Flavor2Yields (FT, YT, Flavor, TableMul, Info, Ver)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Yields -- 5 as Base
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, AnC_Yields.YT AS YT, AnC_Yields.YieldBase *AnC_Yields.BaseMul AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors, AnC_Yields
WHERE (
Flavors.Type = 'FLAVOR_CULTURE' AND AnC_Yields.YT IN ('YIELD_CULTURE', 'YIELD_TOURISM')
OR Flavors.Type = 'FLAVOR_DEFENSE' AND AnC_Yields.YT IN ('YIELD_GREAT_ADMIRAL_POINTS', 'YIELD_GREAT_GENERAL_POINTS')
OR Flavors.Type = 'FLAVOR_GOLD' AND AnC_Yields.YT IN ('YIELD_GOLD')
OR Flavors.Type = 'FLAVOR_GROWTH' AND AnC_Yields.YT IN ('YIELD_FOOD', 'YIELD_POPULATION')
OR Flavors.Type = 'FLAVOR_MOBILE' AND AnC_Yields.YT IN ('YIELD_GREAT_GENERAL_POINTS')
OR Flavors.Type = 'FLAVOR_NAVAL' AND AnC_Yields.YT IN ('YIELD_GREAT_ADMIRAL_POINTS')
OR Flavors.Type = 'FLAVOR_OFFENSE' AND AnC_Yields.YT IN ('YIELD_GREAT_ADMIRAL_POINTS', 'YIELD_GREAT_GENERAL_POINTS')
OR Flavors.Type = 'FLAVOR_PRODUCTION' AND AnC_Yields.YT IN ('YIELD_PRODUCTION')
OR Flavors.Type = 'FLAVOR_RELIGION' AND AnC_Yields.YT IN ('YIELD_FAITH')
OR Flavors.Type = 'FLAVOR_SCIENCE' AND AnC_Yields.YT IN ('YIELD_SCIENCE')
) 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Spread Yields 2 other Flavor's (useful to use also all other Flavor's?)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- /2 of Base
SELECT Flavors.Type AS FT, AnC_Yields.YT AS YT, AnC_Yields.YieldBase *AnC_Yields.BaseMul *0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors, AnC_Yields
WHERE 
-- population give us also a kick to science
Flavors.Type IN ('FLAVOR_SCIENCE') AND AnC_Yields.YT IN ('YIELD_POPULATION')
-- GA points helps us in different areas
OR Flavors.Type IN ('FLAVOR_GOLD', 'FLAVOR_GROWTH', 'FLAVOR_PRODUCTION', 'FLAVOR_SCIENCE') AND AnC_Yields.YT IN ('YIELD_GOLDEN_AGE_POINTS')
-- food helps us also with science
OR Flavors.Type IN ('FLAVOR_SCIENCE') AND AnC_Yields.YT IN ('YIELD_FOOD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- /4 of Base
SELECT Flavors.Type AS FT, AnC_Yields.YT AS YT, AnC_Yields.YieldBase *AnC_Yields.BaseMul *0.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors, AnC_Yields
WHERE 
-- for expansion we need a good economy
Flavors.Type IN ('FLAVOR_EXPANSION') AND AnC_Yields.YT IN ('YIELD_GOLD', 'YIELD_PRODUCTION', 'YIELD_SCIENCE')
-- culture helps us also to grow, expand and defend our boarders and against tourism
OR Flavors.Type IN ('FLAVOR_GROWTH', 'FLAVOR_EXPANSION', 'FLAVOR_DEFENSE') AND AnC_Yields.YT IN ('YIELD_CULTURE')
-- tourism is peacefull offense
OR Flavors.Type IN ('FLAVOR_OFFENSE') AND AnC_Yields.YT IN ('YIELD_TOURISM')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- HURRY_GOLD
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'HURRY_GOLD' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD')
UNION ALL
SELECT Flavors.Type AS FT, 'HURRY_GOLD' AS YT, 4 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_MILITARY_TRAINING')
UNION ALL
SELECT Flavors.Type AS FT, 'HURRY_GOLD' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings / LeagueProjectRewards / Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Happiness = ExtraHappiness = ExtraHappinessPerLuxury
SELECT Flavors.Type AS FT, 'Happiness' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnmoddedHappiness' AS YT, 30 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
-- HappinessPerCity = ExtraHappinessPerCity
SELECT Flavors.Type AS FT, 'HappinessPerCity' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'HappinessPerGarrisonedUnit' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'HappinessPerXPolicies' AS YT, 30 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'NoOccupiedUnhappiness' AS YT, 150 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'PovertyHappinessChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefenseHappinessChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'IlliteracyHappinessChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnculturedHappinessChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorityHappinessChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'PovertyHappinessChangeGlobal' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefenseHappinessChangeGlobal' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'IlliteracyHappinessChangeGlobal' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnculturedHappinessChangeGlobal' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorityHappinessChangeGlobal' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'BuildingClassHappiness' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policy_BuildingClassHappiness' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'BuildingClassLocalHappiness' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExtraLuxuries' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS', 'FLAVOR_I_TRADE_ORIGIN')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExtraVotesPerDiplomat' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExtraLeagueVotes' AS YT, 100 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'AllowsWorldCongress' AS YT, 75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'FaithToVotes' AS YT, 7.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'CapitalsToVotes' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DoFToVotes' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'RAToVotes' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DPToVotes' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GPExpendInfluence' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ImprovementLeagueVotes' AS YT, 75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
-- FreePolicies = FreeSocialPolicies
SELECT NULL AS FT, 'FreePolicies' AS YT, NULL AS Flavor, 20 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.NumFreePolicies' AS YT, NULL AS Flavor, 7.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'PolicyCostModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
-- Culture increases by 100% for X Turns
SELECT NULL AS FT, 'CultureBonusTurns' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'TourismBonusTurns' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'CityStateInfluenceBoost' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT NULL AS FT, 'BaseBeakersTurnsToCount' AS YT, NULL AS Flavor, 1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'AffectSpiesNow' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
-- ExtraSpies = FreeSpy
SELECT Flavors.Type AS FT, 'ExtraSpies' AS YT, 20 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'SpyRankChange' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'AllowsWaterRoutes' AS YT, 75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_WATER_CONNECTION')
UNION ALL
--
SELECT Flavors.Type AS FT, 'InstantSpyRankChange' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT NULL AS FT, 'BuildingProductionModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'WorkerSpeedModifier' AS YT, 2 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_TILE_IMPROVEMENT')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.WorkerSpeedModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_TILE_IMPROVEMENT')
UNION ALL
--
SELECT NULL AS FT, 'FoundsReligion' AS YT, NULL AS Flavor, 40 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'ExtraMissionarySpreads' AS YT, NULL AS Flavor, 10 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'ReligiousPressureModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'IsReformation' AS YT, NULL AS Flavor, 40 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'ConversionModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.ConversionModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GlobalConversionModifier' AS YT, NULL AS Flavor, 1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
--
SELECT NULL AS FT, 'FreeTechs' AS YT, NULL AS Flavor, 20 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.NumFreeTechs' AS YT, NULL AS Flavor, 7.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'MedianTechPercentChange' AS YT, NULL AS Flavor, 0.4 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GreatScientistBeakerModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'WonderProductionModifier' AS YT, 3 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_WONDER')
UNION ALL
--
SELECT Flavors.Type AS FT, 'SpaceProductionModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_SPACESHIP')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GlobalSpaceProductionModifier' AS YT, 3 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_SPACESHIP')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'CityConnectionTradeRouteModifier' AS YT, NULL AS Flavor, 0.4 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'CapturePlunderModifier' AS YT, NULL AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'TradeRouteRecipientBonus' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN')
UNION ALL
--
SELECT Flavors.Type AS FT, 'TradeRouteTargetBonus' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_DESTINATION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- NumTradeRouteBonus = InternationalTradeRoutesChange
SELECT Flavors.Type AS FT, 'NumTradeRouteBonus' AS YT, 40 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'TradeRouteSeaDistanceModifier' AS YT, 10 AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN', 'FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'TradeRouteLandDistanceModifier' AS YT, 10 AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN', 'FLAVOR_I_LAND_TRADE_ROUTE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'TradeRouteSeaGoldBonus' AS YT, 10 AS Flavor, 0.01 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN', 'FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'TradeRouteLandGoldBonus' AS YT, 10 AS Flavor, 0.01 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN', 'FLAVOR_I_LAND_TRADE_ROUTE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'CityStateTradeRouteProductionModifier' AS YT, 4 AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'AllowsFoodTradeRoutes' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_LAND_TRADE_ROUTE', 'FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'AllowsProductionTradeRoutes' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_LAND_TRADE_ROUTE', 'FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'EspionageModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'EspionageModifier' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GlobalEspionageModifier' AS YT, 2 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GlobalEspionageModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'FreeGreatWork' AS YT, NULL AS Flavor, 15 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
-- 
-- CultureFromBarbarianKills = CultureFromKills
SELECT NULL AS FT, 'CultureFromBarbarianKills' AS YT, NULL AS Flavor, 0.02 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'LandmarksTourismPercent' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GreatWorksTourismModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'TechEnhancedTourism' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'CultureRateModifier' AS YT, NULL AS Flavor, 0.2 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GlobalCultureRateModifier' AS YT, NULL AS Flavor, 1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'PlotCultureCostModifier' AS YT, NULL AS Flavor, 0.2 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GlobalPlotCultureCostModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'PlotBuyCostModifier' AS YT, 1.25 AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GROWTH')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GlobalPlotBuyCostModifier' AS YT, 1.25 AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GROWTH')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'FoodKept' AS YT, NULL AS Flavor, 0.3 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GlobalPopulationChange' AS YT, NULL AS Flavor, 6 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'AddsFreshWater' AS YT, NULL AS Flavor, 2 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'AirModifier' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_AIR')
UNION ALL
--
SELECT Flavors.Type AS FT, 'AirModifier' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_AIR_CARRIER', 'FLAVOR_ANTIAIR')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'Airlift' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_AIRLIFT')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'HealRateChange' AS YT, 3 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'HealRateChange' AS YT, 2 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'NukeModifier' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'NukeModifier' AS YT, 0.2 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_NUKE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- FreePromotion
-- TrainedFreePromotion 'Grants the following promotion to units after training:' AS Info, 5 AS Ver
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'AllowsRangeStrike' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'Defense' AS YT, 0.02 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'DefenseModifier' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'GlobalDefenseMod' AS YT, 0.05 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'ExtraCityHitPoints' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'BorderObstacle' AS YT, 30 AS Flavor, NULL AS TableMul,  NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE', 'FLAVOR_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'InstantMilitaryIncrease' AS YT, 75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2UnitAITypes.FT AS FT, 'UnitUpgradeCostMod' AS YT, 
(SELECT CASE 
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 1 AND 3 THEN 0.5
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 4 AND 6 THEN 1
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 7 AND 9 THEN 2
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 10 AND 12 THEN 3
WHEN count(AnC_Flavor2UnitAITypes.UT) >= 13 THEN 4
END) AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM AnC_Flavor2UnitAITypes
WHERE AnC_Flavor2UnitAITypes.MP = 1 AND AnC_Flavor2UnitAITypes.UT IS NOT 'UNIT_FAKE' 
AND AnC_Flavor2UnitAITypes.FT NOT IN ('FLAVOR_INFRASTRUCTURE', 'FLAVOR_NAVAL_TILE_IMPROVEMENT', 'FLAVOR_TILE_IMPROVEMENT')
GROUP BY FT, YT
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnitUpgradeCostMod' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnitUpgradeCostMod' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD')
UNION ALL
--
SELECT NULL AS FT, 'Policies.UnitUpgradeCostMod' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2UnitAITypes.FT AS FT, 'MilitaryProductionModifier' AS YT, 
(SELECT CASE 
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 1 AND 3 THEN 0.5
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 4 AND 6 THEN 1
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 7 AND 9 THEN 2
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 10 AND 12 THEN 3
WHEN count(AnC_Flavor2UnitAITypes.UT) >= 13 THEN 4
END) AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM AnC_Flavor2UnitAITypes
WHERE AnC_Flavor2UnitAITypes.MP = 1 AND AnC_Flavor2UnitAITypes.UT IS NOT 'UNIT_FAKE' 
AND AnC_Flavor2UnitAITypes.FT NOT IN ('FLAVOR_INFRASTRUCTURE', 'FLAVOR_NAVAL_TILE_IMPROVEMENT', 'FLAVOR_TILE_IMPROVEMENT')
GROUP BY FT, YT
UNION ALL
--
SELECT Flavors.Type AS FT, 'MilitaryProductionModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MilitaryProductionModifier' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_PRODUCTION')
UNION ALL
--
SELECT NULL AS FT, 'Policies.MilitaryProductionModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'NullifyInfluenceModifier' AS YT, NULL AS Flavor, 10 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Receive a +25% attack bonus to all Military Units for the next X turns
SELECT Flavors.Type AS FT, 'AttackBonusTurns' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'AttackBonusTurns' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'AttackBonusTurns' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_EXPANSION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'BaseFreeUnits' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.BaseFreeUnits' AS YT, 2.5 AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'GoldFromKills' AS YT, NULL AS Flavor, 0.02 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'EmbarkedExtraMoves' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
--
SELECT NULL AS FT, 'GoldenAge' AS YT, NULL AS Flavor, 30 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'GoldenAgeModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GoldenAgeTurns' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GoldenAgeDurationMod' AS YT, NULL AS Flavor, 0.0625 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.StrategicResourceMod' AS YT, NULL AS Flavor, 0.002 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'Policies.GreatGeneralRateModifier' AS YT, 1 AS Flavor, 0.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.DomesticGreatGeneralRateModifier' AS YT, 1 AS Flavor, 0.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatAdmiralRateModifier' AS YT, 1 AS Flavor, 0.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatWriterRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatArtistRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatMusicianRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatMerchantRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatScientistRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatDiplomatRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policies.GreatPeopleRateModifier' AS YT, 1 AS Flavor, 1.25 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'GreatPersonExpendGold' AS YT, 0.2 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD', 'FLAVOR_GREAT_PEOPLE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2UnitAITypes.FT AS FT, 'FreeExperience' AS YT, 
(SELECT CASE 
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 1 AND 3 THEN 0.5
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 4 AND 6 THEN 1
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 7 AND 9 THEN 1.5
WHEN count(AnC_Flavor2UnitAITypes.UT) BETWEEN 10 AND 12 THEN 2
WHEN count(AnC_Flavor2UnitAITypes.UT) >= 13 THEN 2.5
END) AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM AnC_Flavor2UnitAITypes
WHERE AnC_Flavor2UnitAITypes.MP = 1 AND AnC_Flavor2UnitAITypes.UT IS NOT 'UNIT_FAKE' 
AND AnC_Flavor2UnitAITypes.FT NOT IN ('FLAVOR_ARCHAEOLOGY', 'FLAVOR_CITY_DEFENSE', 'FLAVOR_DIPLOMACY', 'FLAVOR_INFRASTRUCTURE', 'FLAVOR_NAVAL_TILE_IMPROVEMENT', 'FLAVOR_NUKE', 'FLAVOR_PRODUCTION', 'FLAVOR_TILE_IMPROVEMENT')
GROUP BY FT, YT
UNION ALL
--
SELECT Flavors.Type AS FT, 'FreeExperience' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_MILITARY_TRAINING')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'CulturePerGarrisonedUnit' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('')
UNION ALL
--
SELECT NULL AS FT, 'HappinessPerTradeRoute' AS YT, NULL AS Flavor, 0.01 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'NumExtraBuilders' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('')
UNION ALL
--
SELECT Flavors.Type AS FT, 'PlotCultureExponentModifier' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_EXPANSION', 'FLAVOR_GROWTH')
UNION ALL
--
SELECT NULL AS FT, 'UnitPurchaseCostModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'BuildingPurchaseCostModifier' AS YT, 0.375 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_PRODUCTION')
UNION ALL
--
SELECT Flavors.Type AS FT, 'BuildingPurchaseCostModifier' AS YT, 0.75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'CityConnectionTradeRouteGoldModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD')
UNION ALL
--
SELECT NULL AS FT, 'Policies.FaithCostModifier' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'StealTechFasterModifier' AS YT, 10 AS Flavor, 0.025 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.CatchSpiesModifier' AS YT, 0.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ESPIONAGE')
UNION ALL
--
SELECT NULL AS FT, 'RouteGoldMaintenanceMod' AS YT, NULL AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'BuildingGoldMaintenanceMod' AS YT, NULL AS Flavor, 0.02 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'UnitGoldMaintenanceMod' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'CityStrengthMod' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
--
SELECT NULL AS FT, 'CityGrowthMod' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'CapitalGrowthMod' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'NewCityExtraPopulation' AS YT, 50 AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_EXPANSION')
UNION ALL
--
SELECT NULL AS FT, 'HappinessToCulture' AS YT, NULL AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'HappinessToScience' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.HalfSpecialistFood' AS YT, 15 AS Flavor, 2 AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
--
SELECT NULL AS FT, 'Policy_SpecialistExtraYields' AS YT, NULL AS Flavor, 5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policy_CapitalYieldChanges' AS YT, NULL AS Flavor, 0.2 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'YieldFromVictory' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policy_YieldFromKills' AS YT, 2.5 AS Flavor, 0.05 AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT NULL AS FT, 'Policy_YieldFromTech' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policy_HurryModifiers' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'BarbarianCombatBonus' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'BarbarianCamp' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE', 'FLAVOR_CULTURE', 'FLAVOR_DEFENSE', 'FLAVOR_EXPANSION', 'FLAVOR_GOLD', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.RevealAllCapitals' AS YT, 12.5 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExpModifier' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE', 'FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExpInBorderModifier' AS YT, 0.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorFriendshipMinimum' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorFriendshipDecayMod' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.CityStateUnitFrequencyModifier' AS YT, 0.075 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE', 'FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT NULL AS FT, 'CommonFoeTourismModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'LessHappyTourismModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'SharedIdeologyTourismModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'LandTradeRouteGoldChange' AS YT, 5 AS Flavor, 0.0125 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_LAND_TRADE_ROUTE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'SeaTradeRouteGoldChange' AS YT, 5 AS Flavor, 0.0125 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
--
SELECT NULL AS FT, 'SharedIdeologyTradeGoldChange' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'RiggingElectionModifier' AS YT, 0.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.MilitaryUnitGiftExtraInfluence' AS YT, 3 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ProtectedMinorPerTurnInfluence' AS YT, 0.15 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.AfraidMinorPerTurnInfluence' AS YT, 0.085 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorBullyScoreModifier' AS YT, 0.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'CityStateTradeChange' AS YT, 0.15 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN')
UNION ALL
--
SELECT NULL AS FT, 'ThemingBonusMultiplier' AS YT, NULL AS Flavor, 0.06 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'InternalTradeRouteYieldModifier' AS YT, NULL AS Flavor, 0.05 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'SharedReligionTourismModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'TradeRouteTourismModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'OpenBordersTourismModifier' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorGreatPeopleAllies' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
--
SELECT NULL AS FT, 'MinorScienceAllies' AS YT, NULL AS Flavor, 5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorResourceBonus' AS YT, 5 AS Flavor, 1.5 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GarrisonFreeMaintenance' AS YT, 10 AS Flavor, 2.5 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'EnablesSSPartHurry' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_SPACESHIP')
UNION ALL
--
SELECT Flavors.Type AS FT, 'EnablesSSPartPurchase' AS YT, 50 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_SPACESHIP')
UNION ALL
--
SELECT Flavors.Type AS FT, 'OneShot' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('')
UNION ALL
--
SELECT Flavors.Type AS FT, 'IncludesOneShotFreeUnits' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('')
UNION ALL
--
SELECT NULL AS FT, 'FreeBuildingOnConquest' AS YT, NULL AS Flavor, 0.15 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'FreeBuilding' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'NoUnhappfromXSpecialists' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'NoUnhappfromXSpecialistsCapital' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'PovertyHappinessMod' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefenseHappinessMod' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'IlliteracyHappinessMod' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnculturedHappinessMod' AS YT, 1.25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorityHappinessMod' AS YT, 5 AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'PovertyHappinessModCapital' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefenseHappinessModCapital' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'IlliteracyHappinessModCapital' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'UnculturedHappinessModCapital' AS YT, 1.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MinorityHappinessModCapital' AS YT, 1.5 AS Flavor, 0.1 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT NULL AS FT, 'PuppetProdMod' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'OccupiedProdMod' AS YT, NULL AS Flavor, 0.15 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policy_FreePromotions' AS YT, 15 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
--
SELECT NULL AS FT, 'Policy_YieldFromBirth' AS YT, NULL AS Flavor, 0.05 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policy_YieldFromBirthCapital' AS YT, NULL AS Flavor, 0.01 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policy_YieldFromBorderGrowth' AS YT, NULL AS Flavor, 0.15 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Policy_YieldFromConstruction' AS YT, NULL AS Flavor, 0.1 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'Buildings.PolicyBranchType' AS YT, NULL AS Flavor, 0.0625 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'HappinessPerXPopulationGlobal' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_HAPPINESS')
UNION ALL
--
SELECT Flavors.Type AS FT, 'WarWearinessModifier' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('')
UNION ALL
--
SELECT Flavors.Type AS FT, 'Policies.BestRangedUnitSpawnSettle' AS YT, 7.5 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_CITY_DEFENSE', 'FLAVOR_RANGED')
UNION ALL
--
SELECT NULL AS FT, 'DoubleBorderGA' AS YT, NULL AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'FreePopulation' AS YT, NULL AS Flavor, 1 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'ExtraMoves' AS YT, 15 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE', 'FLAVOR_MILITARY_TRAINING')
UNION ALL
--
SELECT Flavors.Type AS FT, 'TradeReligionModifier' AS YT, 1.25 AS Flavor, 0.2 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_LAND_TRADE_ROUTE', 'FLAVOR_I_SEA_TRADE_ROUTE')
UNION ALL
--
-- no longer used?
--SELECT Flavors.Type AS FT, 'IncreasedQuestInfluence' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
--FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
--UNION ALL
--
SELECT Flavors.Type AS FT, 'FreeWCVotes' AS YT, 25 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'InfluenceGPExpend' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'InternalTradeGold' AS YT, 5 AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_I_TRADE_ORIGIN')
UNION ALL
--
SELECT NULL AS FT, 'Policies.CitadelBoost' AS YT, NULL AS Flavor, 2.5 AS TableMul, NULL AS Info, 9 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'InvestmentModifier' AS YT, NULL AS Flavor, 0.25 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'CapitalYieldPerPopChanges' AS YT, NULL AS Flavor, 0.025 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT NULL AS FT, 'ConquerorYield' AS YT, NULL AS Flavor, 0.01 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
--
SELECT Flavors.Type AS FT, 'TechMovementChanges' AS YT, 0.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_EXPANSION', 'FLAVOR_OFFENSE', 'FLAVOR_TILE_IMPROVEMENT')
UNION ALL
-- EmbarkedMoveChange = AllowsEmbarking
SELECT Flavors.Type AS FT, 'EmbarkedMoveChange' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_NAVAL', 'FLAVOR_NAVAL_RECON', 'FLAVOR_EXPANSION')
UNION ALL
--
SELECT Flavors.Type AS FT, 'MapVisible' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_EXPANSION')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'AllowEmbassyTradingAllowed' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DEFENSE', 'FLAVOR_OFFENSE', 'FLAVOR_EXPANSION', 'FLAVOR_NAVAL')
UNION ALL
--
SELECT Flavors.Type AS FT, 'AllowEmbassyTradingAllowed' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GOLD', 'FLAVOR_DIPLOMACY', 'FLAVOR_RELIGION')
UNION ALL
--
SELECT Flavors.Type AS FT, 'OpenBordersTradingAllowed' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_NAVAL')
UNION ALL
--
SELECT Flavors.Type AS FT, 'OpenBordersTradingAllowed' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY', 'FLAVOR_RELIGION', 'FLAVOR_EXPANSION', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefensivePactTradingAllowed' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_EXPANSION', 'FLAVOR_OFFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'DefensivePactTradingAllowed' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY', 'FLAVOR_DEFENSE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'ResearchAgreementTradingAllowed' AS YT, 2.5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_DIPLOMACY')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'BridgeBuilding' AS YT, 5 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_EXPANSION', 'FLAVOR_TILE_IMPROVEMENT')
UNION ALL
--
SELECT Flavors.Type AS FT, 'BridgeBuilding' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- TECH_FUTURE_TECH
SELECT Flavors.Type AS FT, 'Repeat' AS YT, 15 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_SCIENCE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'TriggersArchaeologicalSites' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_ARCHAEOLOGY')
UNION ALL
--
SELECT Flavors.Type AS FT, 'VassalageEnabled' AS YT, 10 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_EXPANSION', 'FLAVOR_OFFENSE', 'FLAVOR_DIPLOMACY')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Flavors.Type AS FT, 'GreatPeopleRateModifier' AS YT, 1 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
--
SELECT Flavors.Type AS FT, 'GlobalGreatPeopleRateModifier' AS YT, 1 AS Flavor, 3 AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- We don't know, which one we choose
-- FreeGreatPeople = GetNumFreeGreatPeople
SELECT Flavors.Type AS FT, 'FreeGreatPeople' AS YT, 75 AS Flavor, NULL AS TableMul, NULL AS Info, 8 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
-- 
SELECT Flavors.Type AS FT, 'Policies.NumFreeGreatPeople' AS YT, 30 AS Flavor, NULL AS TableMul, NULL AS Info, 9 AS Ver 
FROM Flavors WHERE Flavors.Type IN ('FLAVOR_GREAT_PEOPLE')
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT NULL AS FT, 'BuildingClassXChanges' AS YT, NULL AS Flavor, 5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'Policy_BuildingClassXChanges' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'BuildingClassLocalXChanges' AS YT, NULL AS Flavor, 2.5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'BuildingClassXModifiers' AS YT, NULL AS Flavor, 1 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'GlobalXModifiers' AS YT, NULL AS Flavor, 3 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'GrowthExtraX' AS YT, NULL AS Flavor, 0.15 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'GreatWorkXChanges' AS YT, NULL AS Flavor, 3 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'ImprovementXChanges' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'PlotXChanges' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'PlotXChangesGlobal' AS YT, NULL AS Flavor, 2 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
SELECT NULL AS FT, 'ResourceXChanges' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Building_XXX
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT 'FLAVOR_NAVAL_TILE_IMPROVEMENT' AS FT, 'SeaResourceXChanges' AS YT, 15 AS Flavor, 2 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
SELECT 'FLAVOR_NAVAL_GROWTH' AS FT, 'PlotXChangesNAVAL_GROWTH' AS YT, 5 AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
SELECT NULL AS FT, 'PlotXChangesLake' AS YT, NULL AS Flavor, 0.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
SELECT NULL AS FT, 'PlotXChangesSea' AS YT, NULL AS Flavor, 2.5 AS TableMul, NULL AS Info, 8 AS Ver 
UNION ALL
SELECT NULL AS FT, 'PlotXChangesRiver' AS YT, NULL AS Flavor, 5 AS TableMul, NULL AS Info, 8 AS Ver 
------------------------------------------------------------------------------------------------------------------------------------------------------
ORDER BY FT;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews1B_YIELDS.sql';