-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews2_GnK.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- GnK
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_GreatPersons2YieldsT (UT, UC, ST, YT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Units.Type AS UT, Units.Class AS UC, Specialists.Type AS ST, 'YIELD_SCIENCE' AS YT, Units.BaseBeakersTurnsToCount AS Flavor, 
'Units.BaseBeakersTurnsToCount' AS FromTable, 'GnK' AS Mod
FROM Specialists, Units
WHERE Units.Class = Specialists.GreatPeopleUnitClass
AND Units.BaseBeakersTurnsToCount <> 0
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Units.Type AS UT, Units.Class AS UC, NULL AS ST, 'YIELD_FAITH' AS YT, Units.ReligiousStrength *ReligionSpreads AS Flavor, 
'Units.ReligiousStrength*ReligionSpreads' AS FromTable, 'GnK' AS Mod
FROM Units
WHERE Units.ReligiousStrength > 0 AND Units.ReligionSpreads > 0
--UNION ALL
--
/*
SELECT Units.Type AS UT, Units.Class AS UC, NULL AS ST, 'YIELD_FAITH' AS YT, Units.ReligionSpreads AS Flavor, 'Units.ReligionSpreads' AS FromTable
FROM Units
WHERE Units.ReligionSpreads > 0
UNION ALL
*/
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2GoodyHutsT (FT, GT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, GoodyHuts.Type AS GT, GoodyHuts.PantheonFaith *AnC_Flavor2Yields.Flavor AS Flavor,
'GoodyHuts.PantheonFaith' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, GoodyHuts
WHERE GoodyHuts.PantheonFaith <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
UNION ALL
--
SELECT AnC_Flavor2Yields.FT AS FT, GoodyHuts.Type AS GT, GoodyHuts.ProphetPercent *AnC_Flavor2Yields.Flavor AS Flavor,
'GoodyHuts.ProphetPercent' AS FromTable, 'GnK' AS Mod
FROM AnC_Flavor2Yields, GoodyHuts
WHERE GoodyHuts.ProphetPercent <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_FAITH'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2Improvement_YieldsT (FT, IT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvements
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Improvements.Type AS IT, Improvements.CultureBombRadius *AnC_Flavor2Yields.Flavor *5 AS Flavor,
'Improvements.CultureBombRadius' AS FromTable, 'GnK' AS Mod
FROM Improvements, AnC_Flavor2Yields
WHERE Improvements.CultureBombRadius > 0
AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews2_GnK.sql';