-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews3_BNW.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- BNW
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_GreatPersons2YieldsT (UT, UC, ST, YT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Units.Type AS UT, Units.Class AS UC, Specialists.Type AS ST, 'YIELD_TOURISM' AS YT, Units.OneShotTourism AS Flavor, 
'Units.OneShotTourism' AS FromTable, 'BNW' AS Mod
FROM Specialists, Units
WHERE Units.Class = Specialists.GreatPeopleUnitClass
AND Units.OneShotTourism <> 0
UNION ALL
--
SELECT Units.Type AS UT, Units.Class AS UC, Specialists.Type AS ST, 'YIELD_TOURISM' AS YT, Units.OneShotTourismPercentOthers AS Flavor, 
'Units.OneShotTourismPercentOthers' AS FromTable, 'BNW' AS Mod
FROM Specialists, Units
WHERE Units.Class = Specialists.GreatPeopleUnitClass
AND Units.OneShotTourismPercentOthers <> 0
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Units.Type AS UT, Units.Class AS UC, Specialists.Type AS ST, 'YIELD_CULTURE' AS YT, Units.BaseCultureTurnsToCount AS Flavor, 
'Units.BaseCultureTurnsToCount' AS FromTable, 'BNW' AS Mod
FROM Specialists, Units
WHERE Units.Class = Specialists.GreatPeopleUnitClass
AND Units.BaseCultureTurnsToCount <> 0
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts
------------------------------------------------------------------------------------------------------------------------------------------------------
--INSERT INTO AnC_Flavor2GoodyHutsT (FT, GT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------
--;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2Improvement_YieldsT (FT, IT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvements
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Improvements.Type AS IT, Improvements.LuxuryCopiesSiphonedFromMinor *AnC_Flavor2Yields.Flavor AS Flavor, 'Improvements.LuxuryCopiesSiphonedFromMinor' AS FromTable, 'BNW' AS Mod
FROM Improvements, AnC_Flavor2Yields
WHERE Improvements.LuxuryCopiesSiphonedFromMinor = 1 
AND AnC_Flavor2Yields.YT = 'Happiness'
UNION ALL
-- 
SELECT AnC_Flavor2Yields.FT AS FT, Improvements.Type AS IT, 1 *AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreeGreatWork') AS Flavor,
'Improvements.LuxuryCopiesSiphonedFromMinor' AS FromTable, 'BNW' AS Mod
FROM Improvements, AnC_Flavor2Yields
WHERE Improvements.Type IN ('IMPROVEMENT_ARCHAEOLOGICAL_DIG') AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvement_YieldPerEra
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT, Improvement_YieldPerEra.ImprovementType AS IT, sum(Improvement_YieldPerEra.Yield) 
*AnC_Flavor2Yields.Flavor /count(Improvement_YieldPerEra.YieldType) *1 AS Flavor,
'Improvement_YieldPerEra' AS FromTable, 'BNW' AS Mod
FROM AnC_Flavor2Yields, Improvement_YieldPerEra
WHERE Improvement_YieldPerEra.Yield <> 0 AND Improvement_YieldPerEra.YieldType = AnC_Flavor2Yields.YT
GROUP BY FT, IT
UNION ALL
--
SELECT (SELECT CASE WHEN Improvements.Water = 1 THEN 'FLAVOR_NAVAL_TILE_IMPROVEMENT' ELSE 'FLAVOR_TILE_IMPROVEMENT' END) AS FT, Improvement_YieldPerEra.ImprovementType AS IT, 
sum(Improvement_YieldPerEra.Yield) *2.5 AS Flavor, 'Improvement_YieldPerEra-FLAVOR_TILE_IMPROVEMENT' AS FromTable, 'BNW' AS Mod
FROM Improvement_YieldPerEra, Improvements
WHERE Improvement_YieldPerEra.Yield <> 0 AND Improvement_YieldPerEra.ImprovementType = Improvements.Type
GROUP BY IT
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews3_BNW.sql';