-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews5_CP.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_QueryViews5_CP
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2GoodyHutsT (FT, GT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, GoodyHuts.Type AS GT, GoodyHuts.Production *AnC_Flavor2Yields.Flavor *0.25 AS Flavor,
'GoodyHuts.Production' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, GoodyHuts
WHERE GoodyHuts.Production <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_PRODUCTION'
UNION ALL
--
SELECT AnC_Flavor2Yields.FT AS FT, GoodyHuts.Type AS GT, GoodyHuts.GoldenAge *AnC_Flavor2Yields.Flavor *0.25 AS Flavor,
'GoodyHuts.GoldenAge' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, GoodyHuts
WHERE GoodyHuts.GoldenAge <> 0 AND AnC_Flavor2Yields.YT = 'YIELD_GOLDEN_AGE_POINTS'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2Improvement_YieldsT (FT, IT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvements
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Improvements.Type AS IT, Improvements.AddsFreshWater *AnC_Flavor2Yields.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'AddsFreshWater') AS Flavor, 'Improvements.AddsFreshWater' AS FromTable, 'CP' AS Mod
FROM Improvements, AnC_Flavor2Yields
WHERE Improvements.AddsFreshWater <> 0 
AND AnC_Flavor2Yields.YT = 'YIELD_FOOD'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvement_YieldAdjacentSameType
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvement_YieldAdjacentTwoSameType
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT, Improvement_YieldAdjacentTwoSameType.ImprovementType AS IT, sum(Improvement_YieldAdjacentTwoSameType.Yield) 
*AnC_Flavor2Yields.Flavor /count(Improvement_YieldAdjacentTwoSameType.YieldType) *0.5 AS Flavor,
'Improvement_YieldAdjacentTwoSameType' AS FromTable, 'CP' AS Mod
FROM AnC_Flavor2Yields, Improvement_YieldAdjacentTwoSameType
WHERE Improvement_YieldAdjacentTwoSameType.Yield <> 0 AND Improvement_YieldAdjacentTwoSameType.YieldType = AnC_Flavor2Yields.YT
GROUP BY FT, IT
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews5_CP.sql';