-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews99.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_QueryViews99
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_GreatPersons2Yields' AS
SELECT UT, UC, ST, YT, Flavor, FromTable, Mod
FROM AnC_GreatPersons2YieldsT
ORDER BY UC;

------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Resources
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_Flavor2Resources' AS
SELECT FT, RT, Flavor, RU, FromTable, CT
FROM AnC_Flavor2ResourcesT
ORDER BY RT;

------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GoodyHuts
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_Flavor2GoodyHuts' AS
SELECT FT, GT, Flavor, FromTable, Mod
FROM AnC_Flavor2GoodyHutsT
ORDER BY FT;


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2Improvement_YieldsT (FT, IT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvements
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GoodyHuts.FT AS FT, Improvements.Type AS IT, sum(AnC_Flavor2GoodyHuts.Flavor) /count(AnC_Flavor2GoodyHuts.FT) AS Flavor,
'Improvements.Goody' AS FromTable, 'Vanilla' AS Mod
FROM Improvements, AnC_Flavor2GoodyHuts
WHERE Improvements.Goody = 1 
GROUP BY AnC_Flavor2GoodyHuts.FT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvement_ResourceType_Yields - AnC_Flavor2Resources
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Resources.FT AS FT, Improvement_ResourceType_Yields.ImprovementType AS IT, sum(AnC_Flavor2Resources.Flavor) /count(AnC_Flavor2Resources.RT) *0.5 AS Flavor,
'Improvement_ResourceType_Yields - AnC_Flavor2Resources' AS FromTable, 'Vanilla' AS Mod
FROM AnC_Flavor2Resources, Improvement_ResourceType_Yields
WHERE Improvement_ResourceType_Yields.Yield <> 0 AND Improvement_ResourceType_Yields.ResourceType = AnC_Flavor2Resources.RT
AND AnC_Flavor2Resources.FromTable NOT IN ('Flavor2Yield', 'Flavor4Happines')
GROUP BY FT, IT
UNION ALL
--
SELECT AnC_Flavor2Resources.FT AS FT, Improvement_ResourceType_Yields.ImprovementType AS IT, sum(AnC_Flavor2Resources.Flavor) /count(AnC_Flavor2Resources.RT) *0.25 AS Flavor, 
'Improvement_ResourceType_Yields - AnC_Flavor2Resources' AS FromTable, 'Vanilla' AS Mod
FROM AnC_Flavor2Resources, Improvement_ResourceType_Yields
WHERE Improvement_ResourceType_Yields.Yield <> 0 AND Improvement_ResourceType_Yields.ResourceType = AnC_Flavor2Resources.RT
AND AnC_Flavor2Resources.FromTable IN ('Flavor4Happines')
GROUP BY FT, IT
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------

CREATE VIEW IF NOT EXISTS 'AnC_Flavor2Improvement_Yields' AS
SELECT FT, IT, Flavor, FromTable, Mod
FROM AnC_Flavor2Improvement_YieldsT
ORDER BY IT;

------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvement_Flavors (before AnC_Flavor2GreatPersons or it will fail!)
------------------------------------------------------------------------------------------------------------------------------------------------------
DELETE FROM Improvement_Flavors;

INSERT INTO Improvement_Flavors (ImprovementType, FlavorType, Flavor)
SELECT IT, FT, round(sum(AnC_Flavor2Improvement_Yields.Flavor))
FROM AnC_Flavor2Improvement_Yields
GROUP BY IT, FT
ORDER BY IT;

DELETE FROM Improvement_Flavors WHERE Flavor <= 0;


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GreatPersons
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_Flavor2GreatPersons' AS
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, AnC_GreatPersons2Yields.UT AS UT, AnC_GreatPersons2Yields.UC AS UC, AnC_GreatPersons2Yields.ST AS ST, AnC_GreatPersons2Yields.YT AS YT, 
round(sum(AnC_GreatPersons2Yields.Flavor) *AnC_Flavor2Yields.Flavor 
*(SELECT CASE WHEN AnC_GreatPersons2Yields.YT = 'YIELD_FAITH' THEN 0.01 
WHEN AnC_GreatPersons2Yields.UC = 'UNITCLASS_ENGINEER' AND AnC_GreatPersons2Yields.YT = 'YIELD_PRODUCTION' THEN 0.0032 
WHEN AnC_GreatPersons2Yields.UC = 'UNITCLASS_MERCHANT' AND AnC_GreatPersons2Yields.YT = 'YIELD_GOLD' THEN 0.025
WHEN AnC_GreatPersons2Yields.UC = 'UNITCLASS_SCIENTIST' AND AnC_GreatPersons2Yields.YT = 'YIELD_SCIENCE' THEN 4
WHEN AnC_GreatPersons2Yields.UC = 'UNITCLASS_WRITER' AND AnC_GreatPersons2Yields.YT = 'YIELD_CULTURE' THEN 5
WHEN AnC_GreatPersons2Yields.UC = 'UNITCLASS_ARTIST' AND AnC_GreatPersons2Yields.YT = 'YIELD_GOLDEN_AGE_POINTS' THEN 5
ELSE 1 END),2) AS Flavor, 'GreatPerson' AS GPT
FROM AnC_Flavor2Yields, AnC_GreatPersons2Yields
WHERE AnC_GreatPersons2Yields.FromTable NOT IN ('GreatWorkClasses.Type', 'Builds.ImprovementType', 'Unit_Builds.BuildType', 'AnC_Flavor2UnitAITypes.UC')
AND AnC_Flavor2Yields.YT = AnC_GreatPersons2Yields.YT
GROUP BY AnC_Flavor2Yields.FT, AnC_GreatPersons2Yields.UT, AnC_GreatPersons2Yields.YT
UNION ALL
--
SELECT AnC_Flavor2Yields.FT AS FT, AnC_GreatPersons2Yields.UT AS UT, AnC_GreatPersons2Yields.UC AS UC, AnC_GreatPersons2Yields.ST AS ST, AnC_GreatPersons2Yields.YT AS YT,
AnC_GreatPersons2Yields.Flavor *AnC_Flavor2Yields.Flavor *(SELECT TableMul FROM AnC_Flavor2Yields WHERE AnC_Flavor2Yields.YT = 'FreeGreatWork') AS Flavor, 'GreatPerson' AS GPT
FROM AnC_Flavor2Yields, AnC_GreatPersons2Yields
WHERE AnC_GreatPersons2Yields.YT IN ('GREAT_WORK_ART', 'GREAT_WORK_MUSIC', 'GREAT_WORK_LITERATURE') 
AND AnC_Flavor2Yields.YT = 'YIELD_TOURISM'
UNION ALL
--
SELECT Flavors.Type AS FT, AnC_GreatPersons2Yields.UT AS UT, AnC_GreatPersons2Yields.UC AS UC, AnC_GreatPersons2Yields.ST AS ST, AnC_GreatPersons2Yields.YT AS YT, 
AnC_GreatPersons2Yields.Flavor *50 AS Flavor, 'GreatPerson' AS GPT
FROM Flavors, AnC_GreatPersons2Yields
WHERE AnC_GreatPersons2Yields.FromTable = 'AnC_Flavor2UnitAITypes.UC' AND Flavors.Type = 'FLAVOR_GREAT_PEOPLE' 
AND AnC_GreatPersons2Yields.UC NOT IN ('UNITCLASS_GREAT_ADMIRAL', 'UNITCLASS_GREAT_GENERAL')
UNION ALL
--
SELECT Flavors.Type AS FT, AnC_GreatPersons2Yields.UT AS UT, AnC_GreatPersons2Yields.UC AS UC, AnC_GreatPersons2Yields.ST AS ST, AnC_GreatPersons2Yields.YT AS YT, 
AnC_GreatPersons2Yields.Flavor *150 AS Flavor, 'GreatMilPerson' AS GPT
FROM Flavors, AnC_GreatPersons2Yields
WHERE AnC_GreatPersons2Yields.FromTable = 'AnC_Flavor2UnitAITypes.UC' 
AND ((AnC_GreatPersons2Yields.UC = 'UNITCLASS_GREAT_ADMIRAL' AND Flavors.Type = 'FLAVOR_NAVAL')
OR (AnC_GreatPersons2Yields.UC IN ('UNITCLASS_GREAT_GENERAL', 'UNITCLASS_GREAT_ADMIRAL') AND Flavors.Type IN ('FLAVOR_OFFENSE', 'FLAVOR_DEFENSE')))
UNION ALL
--
SELECT Improvement_Flavors.FlavorType AS FT, AnC_GreatPersons2Yields.UT AS UT, AnC_GreatPersons2Yields.UC AS UC, AnC_GreatPersons2Yields.ST AS ST, 
AnC_GreatPersons2Yields.YT AS YT, AnC_GreatPersons2Yields.Flavor *Improvement_Flavors.Flavor AS Flavor, 'GreatPerson' AS GPT
FROM Improvement_Flavors, AnC_GreatPersons2Yields
WHERE AnC_GreatPersons2Yields.FromTable = 'Builds.ImprovementType' AND Improvement_Flavors.ImprovementType = AnC_GreatPersons2Yields.YT
------------------------------------------------------------------------------------------------------------------------------------------------------
ORDER BY FT;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2GreatPersons END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Focus2SpecialistType
------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE VIEW IF NOT EXISTS 'AnC_Focus2SpecialistType' AS
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Specialists.CulturePerTurn
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Specialists.Type AS ST, AnC_Flavor2Yields.YT AS YT, Specialists.CulturePerTurn *AnC_Flavor2Yields.Flavor AS Flavor, 
'Specialists.CulturePerTurn' AS FromTable
FROM AnC_Flavor2Yields, Specialists
WHERE /* we can just have + */ Specialists.CulturePerTurn > 0 AND AnC_Flavor2Yields.YT = 'YIELD_CULTURE'
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Specialists.GreatPeopleRateChange
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2GreatPersons.FT AS FT, Specialists.Type AS ST, Specialists.GreatPeopleUnitClass AS YT, Specialists.GreatPeopleRateChange *5 AS Flavor, 
'Specialists.GreatPeopleRateChange' AS FromTable
FROM AnC_Flavor2GreatPersons, Specialists
WHERE /* we can just have + */ Specialists.GreatPeopleRateChange > 0 AND AnC_Flavor2GreatPersons.YT = Specialists.GreatPeopleUnitClass
GROUP BY FT, ST, YT
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- SpecialistYields
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, SpecialistYields.SpecialistType AS ST, SpecialistYields.YieldType AS YT, SpecialistYields.Yield 
*AnC_Flavor2Yields.Flavor AS Flavor, 'SpecialistYields' AS FromTable
FROM AnC_Flavor2Yields, SpecialistYields
WHERE /* we can also have negative Yields */ SpecialistYields.Yield <> 0 AND AnC_Flavor2Yields.YT = SpecialistYields.YieldType
------------------------------------------------------------------------------------------------------------------------------------------------------
ORDER BY FT;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Focus2SpecialistType END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews99.sql';